<?php

require_once 'model/usuario.entidad.php';
require_once 'model/usuario.model.php';
require_once 'model/parametro.model.php';
require_once 'model/parametro.entidad.php';
require_once 'model/usuarioapp.entidad.php';
require_once 'model/usuarioapp.model.php';
// se pueden ir
require_once 'model/inspecciones.entidad.php';
require_once 'model/inspecciones.model.php';
// 
require_once 'model/mantenimiento.model.php';
require_once 'model/mantenimiento.entidad.php';
require_once 'model/matriz.model.php';
require_once 'model/matriz.entidad.php';

class MantenimientoController extends helpers {

    private $usuario_model;
    private $parametro_model;
    private $usuarioapp_model;

    private $inspecion_model;

    private $mantenimiento_model;
    private $matriz_model;

    public function __CONSTRUCT() {
        $this->usuario_model = new UsuarioModel();
        $this->parametro_model = new ParametroModel();
        $this->usuarioapp_model = new UsuarioAppModel();
        $this->inspecion_model = new InspeccionesModel();
        $this->mantenimiento_model = new MantenimientoModel();
        $this->matriz_model = new MatrizModel();
    }

    public function Index() {
        $fechaIni = isset($_REQUEST['fechaIni']) ? $_REQUEST['fechaIni'] : date('Y-m-d', strtotime('-1 month'));
        $fechaFin = isset($_REQUEST['fechaFin']) ? $_REQUEST['fechaFin'] : date('Y-m-d');
        $mantenimientos = $this->mantenimiento_model->Listar($fechaIni, $fechaFin);
        
        require_once 'view/header.php';
        require_once 'view/webforms/wfamantenimiento.php';
        echo "<script type='text/javascript'>
                        $(document).ready(function (){
                            $('.operaciones').addClass('active');
                        });
                  </script>";
        require_once 'view/footer.php';
    }

    public function FrmGuardarMantenimiento() {
        $tecnicos = $this->usuarioapp_model->Listar();
        
        // $items = $this->mantenimiento_model->ListarItems('0');

        

        // $detalle1 = $this->inspecion_model->ListarDetalle1('0');

        $detalle2 = $this->inspecion_model->ListarDetalle2('');
        $detalle2diodos = $this->inspecion_model->ListarDetalle2Diodos('');
        $detalle3 = $this->inspecion_model->ListarDetalle3('');
        $detalle3detalle = $this->inspecion_model->ListarDetalle3detalle('');
        require_once 'view/webforms/wfamantenimientoa.php';
    }

    public function PDF() {
        //$fecha = date('d-m-Y H:i');
        $fecha = date('Y-m-d');
        $datos = $this->mantenimiento_model->Buscar($_GET['Mantenimiento_Id'],$fecha,$fecha);

        $items = $this->mantenimiento_model->ListarItemsPDF($datos[0]->__get('Mantenimiento_Id'), $datos[0]->__get('nManPlantilla_Id'));
        
        $itemsunicos = array();
        foreach ($items as $item) {
            $starnombre = $item->sTarNombre;
            if (!isset($itemsunicos[$starnombre])) {
                $itemsunicos[$starnombre] = $item;
            }
        }
        $items = array_values($itemsunicos);

        $detalle2 = $this->inspecion_model->ListarDetalle2($datos[0]->__get('Mantenimiento_Id'));

        $detalle2diodos = $this->inspecion_model->ListarDetalle2Diodos($datos[0]->__get('Mantenimiento_Id'));
        $detalle3 = $this->inspecion_model->ListarDetalle3($datos[0]->__get('Mantenimiento_Id'));
        $detalle3detalle = $this->inspecion_model->ListarDetalle3detalle($datos[0]->__get('Mantenimiento_Id'));
        
        require_once 'view/webforms/PDF/pdfmantenimiento.php';
    }

    public function ListarTareas() {
        // $tareas = $this->mantenimiento_model->ListarTareas((int)$_POST['Plantilla_Id'], $_POST['sEqTipo']);
        $tareas = $this->mantenimiento_model->ListarTareas((int)$_POST['Plantilla_Id']);
        echo json_encode($tareas);
    }

    public function FrmEditarMantenimiento() {
        $fecha = date('Y-m-d');
        $mantenimiento = $this->mantenimiento_model->Buscar($_POST['Mantenimiento_Id'], $fecha, $fecha);
        $tecnicos = $this->usuarioapp_model->Listar();

        
        $items = $this->mantenimiento_model->ListarTareasEdit($mantenimiento[0]->__get('Mantenimiento_Id'), $mantenimiento[0]->__get('nManPlantilla_Id'), $mantenimiento[0]->__get('Tipo'));
        
        $itemsunicos = array();
        foreach ($items as $item) {
            $starnombre = $item->sTarNombre;
            if (!isset($itemsunicos[$starnombre])) {
                $itemsunicos[$starnombre] = $item;
            }
        }
        $items = array_values($itemsunicos);

        $detalle2 = $this->inspecion_model->ListarDetalle2($mantenimiento[0]->__get('Mantenimiento_Id'));
        

        $detalle2diodos = $this->inspecion_model->ListarDetalle2Diodos($mantenimiento[0]->__get('Mantenimiento_Id'));
        $detalle3 = $this->inspecion_model->ListarDetalle3($mantenimiento[0]->__get('Mantenimiento_Id'));
        $detalle3detalle = $this->inspecion_model->ListarDetalle3detalle($mantenimiento[0]->__get('Mantenimiento_Id'));
        
        foreach ($mantenimiento as $r):
            require_once 'view/webforms/wfamantenimientoa.php';
        endforeach;
    }


    public function MostrarMantenimiento() {
        $mantenimiento = $this->mantenimiento_model->MostarConDetalle($_POST['Mantenimiento_Id']);
        
        foreach($mantenimiento as $r):
            echo "
                <tbody>
                    <tr>
                        <td>Activo Fijo</td>
                        <td>".$r->sEqActivoFijo."</td>
                    </tr>
                    <tr>
                        <td>Odmetro Anterior</td>
                        <td>". $r->sManOdometroAnterior ."</td>
                    </tr>
                    <tr>
                        <td>Mantenimiento Anterior</td>
                        <td>". $r->sManMantAnterior ."</td>
                    </tr>
                    <tr>
                        <td>Odmetro Actual</td>
                        <td>". $r->sManOdometroActual ."</td>
                    </tr>
                    <tr>
                        <td>Mantenimiento Actual</td>
                        <td>". $r->sManMantActual ."</td>
                    </tr>
                    <tr>
                        <td>Tcnico encargado</td>
                        <td>". $r->sUsuNombre ."</td>
                    </tr>
                    <tr>
                        <td>Estado</td>";
                echo "<td>";

                    if ($r->nManEstado != 0) {
                        echo '<span class="label label-success">Habilitado</span>';
                    } else {
                        echo '<span class="label label-danger">Eliminado</span>';
                    }

                echo "</td>
                    </tr>
                </tbody>
            
            ";
        endforeach;
    }

    public function GuardarMantenimiento() {

        $ultimo = $this->mantenimiento_model->MostrarUltimo();

        if (empty($ultimo)) {
            $ultimo = 0;
        } else {
            $ultimo = $ultimo[0]->Mantenimiento_Id;
        }

        if ($_POST['Mantenimiento_Id'] != 0) {
            $firmaTecnico = $this->ObtnerPathFirma((int)$ultimo, 'FirmaTecnico', $_POST['sManFirmaTecnico']);
        $firmaCliente = $this->ObtnerPathFirma((int)$ultimo, 'FirmaCliente', $_POST['sManFirmaCliente']);
        } else {
            $firmaTecnico = $this->ObtnerPathFirma((int)$ultimo + 1, 'FirmaTecnico', $_POST['sManFirmaTecnico']);
            $firmaCliente = $this->ObtnerPathFirma((int)$ultimo + 1, 'FirmaCliente', $_POST['sManFirmaCliente']);
        }


        $mantenimiento = new Mantenimiento();
        $mantenimiento->__SET('Mantenimiento_Id', $_POST['Mantenimiento_Id']);
        $mantenimiento->__SET('nManEquipo_Id', $_POST['nManEquipo_Id']);
        $mantenimiento->__SET('nManTecnico_Id', $_POST['nManTecnico_Id']);
        $mantenimiento->__SET('sManOdometroAnterior', $_POST['sManOdometroAnterior']);
        $mantenimiento->__SET('sManMantAnterior', $_POST['sManMantAnterior']);
        $mantenimiento->__SET('sManOdometroActual', $_POST['sManOdometroActual']);
        $mantenimiento->__SET('sManMantActual', $_POST['sManMantActual']);
        $mantenimiento->__SET('nManPlantilla_Id', $_POST['nManPlantilla_Id']);
        $mantenimiento->__SET('sManFirmaTecnico', $firmaTecnico);
        $mantenimiento->__SET('sManFirmaCliente', $firmaCliente);
        $mantenimiento->__SET('nManUsuario_Id', $_SESSION['usu_codigo']);
        $mantenimiento->__SET('sManDniCli', $_POST['sManDniCli']);
        $mantenimiento->__SET('sManNombreCli', $_POST['sManNombreCli']);
        
        //var_dump((int)$_POST['programacionId']);
        //exit();
    
        $_POST['Mantenimiento_Id'] == 0 ?
            $Mantenimiento_Id = $this->mantenimiento_model->GuardarMantenimiento($mantenimiento, $_POST['programacionId']) : 
            $this->mantenimiento_model->EditarMantenimiento($mantenimiento, $_POST['programacionId'], $_POST['pProgramacionId_old']);
        
            if ($_POST['Mantenimiento_Id'] != 0) {
                // editando
                $this->mantenimiento_model->EliminarDetalleEvMecanica($_POST['Mantenimiento_Id']);
                echo '<script type="text/javascript">document.getElementById("Mantenimiento_Id").value = "'.$_POST['Mantenimiento_Id'].'" </script>';
            } else {

                echo '<script type="text/javascript">document.getElementById("Mantenimiento_Id").value = "'.$Mantenimiento_Id.'" </script>';
            }
        
        echo '<div class="alert alert-success prod" role="alert">
                <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                <strong>Exito!</strong>, Mantenimiento registrado correctamente.
            </div>';
    }

    public function GuardarDetalleEvMecanica() {
        if (isset($_POST['datos_evmecanica'])) {
            foreach($_POST['datos_evmecanica'] as $r):
                $ev_mecainica = new DetalleEVMecanica();
                $ev_mecainica->__SET('Mantenimiento_Id', (int)$r['Mantenimiento_Id']);
                $ev_mecainica->__SET('Tarea_Id', (int)$r['Tarea_id']);
                $ev_mecainica->__SET('sMDEstado', $r['sMDEstado']);
                $ev_mecainica->__SET('nMDCantidad', $r['nMDCantidad']);
                $ev_mecainica->__SET('nMDParte', $r['nMDParte']);
                $ev_mecainica->__SET('dMDFecha', $r['dMDFecha']);
                $ev_mecainica->__SET('sMDObservacion', $r['sMDObservacion']);
                $ev_mecainica->__SET('sAdjunto', $r['sAdjunto']);
                $this->mantenimiento_model->CrearDetalleEvMecanica($ev_mecainica);
            endforeach;
        }
    }

    public function GuardarDetalleEvElectrica() {
        if (isset($_POST['jEvElectrica'])) {
            $evelectrica = json_decode($_POST['jEvElectrica']);
            $this->inspecion_model->GuardarEdicion_EvElectrica($evelectrica);
        }
    }

    public function GuardarDetalleEvDiodos() {
        if (isset($_POST['jEvDiodos'])) {
            $evdiodos = json_decode($_POST['jEvDiodos']);
            $this->inspecion_model->GuardarEdicion_EvDiodos($evdiodos);
        }
    }

    public function GuardarDetallePruebaConCarga() {
        if (isset($_POST['jPruebaConCarga'])) {
            $pcarga = json_decode($_POST['jPruebaConCarga']);
            $this->inspecion_model->GuardarEdicion_PruebaConCarga($pcarga);
        }
    }


    public function EliminarUsuario() {
        $usu = new Usuario();
        $usu->__SET('Usuario_Id', $_POST['idUsuario']);
        $this->usuario_model->Eliminar($usu);
        echo '<script type="text/javascript">window.location="?c=Usuario&a=Index";</script>';
    }

    public function PDFUsuario() {
        $datos = $this->usuario_model->Buscar($_POST['idUsuario']);
        require_once 'view/webforms/PDF/usuario.php';
    }

    public function BuscarMantPorEquipo() {
        $mantPrevio = $this->mantenimiento_model->BuscarPrevioPorEquipo($_POST['sActivoFijo'], $_POST['Mantenimiento_Id']);
        if (empty($mantPrevio)) {
            return;
        }
        echo json_encode($mantPrevio[0]);
    }

    public function BuscarMantemientoActual() {
        $matrices = $this->matriz_model->ListaFiltrada($_POST['sEqTipo']);
        $horas = array();
        foreach($matrices as $m):
            $horas[] = array(
                "horas" => $m->__get('nMatHoras'),
                "Plantilla" => $m->__get('Plantilla_Id'),
                "nombrepla" => $m->__get('sPlaNombre')
            );
        endforeach;
        echo json_encode($horas);
    }

    public function MantenimientoActual() {
        $mant = $this->mantenimiento_model->PlantillaMantenimientoActual($_POST['nHoras']);
        echo json_encode($mant[0]);
    }

    public function ObtnerPathFirma($Identity, $type, $post_param)
	{
		$fx = sprintf('./view/librerias/dist/mantenimientos_img/%s_%s.png', $Identity, $type);
		if (preg_match('/^data/i', $post_param)) {
			$encoded_image = explode(",", $post_param)[1];
			$decoded_image = base64_decode($encoded_image);
			file_put_contents($fx, $decoded_image);
		} else if (preg_match('/clear/i', $post_param) || $post_param == '') {
			if (file_exists($fx)) {
				unlink($fx);
			}
			$fx = '';
		}
		return $fx;
	}

    public function SubirImgAdj() {
        try {
            $nombre_archivo = $_POST['fullname'] . '_' . $_FILES['image']['name'];
            $target_mant_img = './view/librerias/dist/mantenimientos_img/'. $nombre_archivo;
            move_uploaded_file($_FILES['image']['tmp_name'], $target_mant_img);
        } catch (Exception $exc) {
            echo $exc->getTraceAsString();
        }
    }

    public function EliminarMantenimiento() {
        
        $mantenimiento = new Mantenimiento();
        $mantenimiento->__SET('Mantenimiento_Id', $_POST['idMantenimiento']);
        $this->mantenimiento_model->Eliminar($mantenimiento);
        echo '<script type="text/javascript">window.location="?c=Mantenimiento&a=Index";</script>';
    }  

    public function EliminarItem() {
        $this->mantenimiento_model->EliminarTareaDetalle($_POST['idmantenimiento'], $_POST['idtarea']);
    }

    public function ListarEquipoConMante() {
        $tipo = "";
        $response ="";
        $equipos = $this->mantenimiento_model->ListarEquipoConMante();
        foreach($equipos as $equipo):
            if ($equipo->nEqTipo == 1) {
                $tipo = "GE";
            } else if($equipo->nEqTipo == 2) {
                $tipo = "Torre";
            } else if($equipo->nEqTipo == 3) {
                $tipo = "Compresor";
            } else if($equipo->nEqTipo == 4) {
                $tipo = "Rodillo compactador";
            }
            $response .= "
                <tr>
                    <td>$equipo->sEqActivoFijo</td>
                    <td>$equipo->sEqModelo</td>
                    <td>$equipo->sEqSerie</td>
                    <td>$tipo</td>
                    <td>$equipo->dProFecha</td>
                    <td>
                        <button type='button' class='btn btn-xs btn-success' onclick='agregarEquipo(\"$equipo->sEqActivoFijo\", \"$equipo->Programacion_Id\", \"$equipo->nProTecnico_Id\",\"$equipo->nProContratoId\",\"$equipo->sUsuDni\", \"$equipo->sUsuPuesto\",\"$equipo->sUsuNombre\")'>Agregar</button>
                    </td>
                </tr>
            ";
        endforeach;
        echo $response;
    }

    public function ListarEquipoSinMante() {
        $tipo = "";
        $response ="";
        $equipos = $this->mantenimiento_model->ListarEquipoSinMante($_POST['pTipo']);
        foreach($equipos as $equipo):
            if ($equipo->nEqTipo == 1) {
                $tipo = "GE";
            } else if($equipo->nEqTipo == 2) {
                $tipo = "Torre";
            } else if($equipo->nEqTipo == 3) {
                $tipo = "Compresor";
            } else if($equipo->nEqTipo == 4) {
                $tipo = "Rodillo compactador";
            }
            $response .= "
                <tr>
                    <td>$equipo->sEqActivoFijo</td>
                    <td>$equipo->sEqModelo</td>
                    <td>$equipo->sEqSerie</td>
                    <td>$tipo</td>
                    <td>
                        <button type='button' class='btn btn-xs btn-success' onclick='agregarEquipo(\"$equipo->sEqActivoFijo\",\"0\",\"0\",\"0\")'>Agregar</button>
                    </td>
                </tr>
            ";
        endforeach;
        echo $response;
    }

    public function Accion() {
        $this->mantenimiento_model->Accion($_POST['idMant'], $_POST['valueEstado']);
        echo '<script type="text/javascript">window.location="?c=Mantenimiento&a=Index";</script>';
    }
}

?>