<?php

require_once 'model/matriz.entidad.php';
require_once 'model/matriz.model.php';
require_once 'model/plantilla.entidad.php';
require_once 'model/plantilla.model.php';

class MatrizController extends helpers
{
    private $matriz_model;
    private $plantilla_model;

    public function __CONSTRUCT()
    {
        $this->matriz_model = new MatrizModel();
        $this->plantilla_model = new PlantillaModel();
    }

    public function Index()
    {
        $matrices = $this->matriz_model->Listar();

        require_once 'view/header.php';
        require_once 'view/webforms/wfamatriz.php';
        echo "<script type='text/javascript'>
                        $(document).ready(function (){
                            $('.catalogos').addClass('active');
                        });
                  </script>";
        require_once 'view/footer.php';
    }

    public function FrmGuardarMatriz()
    {
        $plantillas = $this->plantilla_model->Listar();
        
        require_once 'view/webforms/wfamatriza.php';
    }

    public function FrmEditarMatriz()
    {
        $matriz = $this->matriz_model->Buscar($_POST['matriz_id']);
        
        $plantillas = $this->plantilla_model->Listar();

        foreach ($matriz as $r) :
            require_once 'view/webforms/wfamatriza.php';
        endforeach;
    }

    public function MostrarMatriz()
    {
        $matriz = $this->matriz_model->Buscar($_POST['matriz_id']);
        foreach ($matriz as $r) :
            echo "
                <tbody>
                    <tr>
                        <td>Plantilla</td>
                        <td>" . $r->__get('sPlaNombre') . "</td>
                    </tr>
                    <tr>
                        <td>Horas</td>
                        <td>" . $r->__get('nMatHoras') . "</td>
                    </tr>
                </tbody>
            ";
        endforeach;
    }

    public function GuardarMatriz()
    {
        $matriz = new matriz();
        $matriz->__set('matriz_id', $_POST['IdMatriz']);
        $matriz->__set('Plantilla_Id', $_POST['Plantilla_Id']);
        $matriz->__set('nMatHoras', $_POST['nMatHoras']);
        $matriz->__set('nMatEliminado', 0);
        $matriz->__set('nMatUsuario_Id', $_SESSION['usu_codigo']);
        $_POST['IdMatriz'] == 0 ? $this->matriz_model->Guardar($matriz) : $this->matriz_model->Editar($matriz);
        echo '<div class="alert alert-success prod" role="alert">
                <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                <strong>Exito!</strong>, los datos fueron agregados correctamente.
            </div>';
        echo '<script type="text/javascript">window.location="?c=Matriz&a=Index";</script>';

    }

    public function EliminarMatriz()
    {
        $matriz = new matriz();
        $matriz->__set('matriz_id', $_POST['IdMatriz']);
        $this->matriz_model->Eliminar($matriz);
        echo '<script type="text/javascript">window.location="?c=Matriz&a=Index";</script>';
    }
}
