<?php

class MantenimientoModel {
    private $pdo;

    public function __construct()
    {
        try {
            require_once 'model/database.php';
            $this->pdo = DataBase::ObtenerConexion();
            $this->pdo->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
        } catch (Exception $e) {
            echo die($e->getMessage());
        }
    }

    public function ListarItems($Mantenimiento_Id) {
        try {
            $result = array();
            $stm = $this->pdo->prepare("CALL mant_listaritems('$Mantenimiento_Id')");
            $stm->execute();
            foreach ($stm->fetchAll(PDO::FETCH_OBJ) as $r) {
                $data = array(
                    'Sistema_Id' => $r->Sistema_Id,
                    'sSisNombre' => $r->sSisNombre,
                    'Item_Id' => $r->Item_Id,
                    'nItemOrden' => $r->nItemOrden,
                    'sItemDescripcion' => $r->sItemDescripcion,
                );

                $result[] = $data;
            }
            return $result;
        } catch (Exception $e) {
            echo die($e->getMessage());
        }
    }

    public function ListarTareas($Plantilla_Id) {
        try {
            $result = array();
            $stm = $this->pdo->prepare("CALL mant_listarTareas(?)");
            $stm->execute([$Plantilla_Id]);
            foreach($stm->fetchAll(PDO::FETCH_OBJ) as $r):
                $result[] = $r;
            endforeach;
            return $result;
        } catch (Exception $e) {
            die($e->getMessage());
        }
    }

    public function Listar($inicio, $fin) {
        try {
            $result = array();
            $stm = $this->pdo->prepare("CALL mant_listar(0,?,?)");
            $stm->execute([date('Y-m-d', strtotime($inicio)), date('Y-m-d', strtotime($fin))]);
            foreach($stm->fetchAll(PDO::FETCH_OBJ) as $r):
                $mantenimiento = new Mantenimiento();
                $mantenimiento->__SET('Mantenimiento_Id', $r->Mantenimiento_Id);
                $mantenimiento->__SET('nManEquipo_Id', $r->nManEquipo_Id);
                $mantenimiento->__SET('nManTecnico_Id', $r->nManTecnico_Id);
                $mantenimiento->__SET('sManOdometroAnterior', $r->sManOdometroAnterior);
                $mantenimiento->__SET('sManMantAnterior', $r->sManMantAnterior);
                $mantenimiento->__SET('sManOdometroActual', $r->sManOdometroActual);
                $mantenimiento->__SET('sManMantActual', $r->sManMantActual);
                $mantenimiento->__SET('sManFirmaTecnico', $r->sManFirmaTecnico);
                $mantenimiento->__SET('sManFirmaCliente', $r->sManFirmaCliente);
                $mantenimiento->__SET('nManEstado', $r->nManEstado);
                $mantenimiento->__SET('sEqActivoFijo', $r->sEqActivoFijo);
                $mantenimiento->__SET('nProgramacion_Id', $r->nProgramacion_Id);
                $mantenimiento->__SET('dManFecha_Act', $r->dManFecha_Act);
                $mantenimiento->__SET('sEqSerie', $r->sEqSerie);
                $mantenimiento->__SET('FechaProgramada', $r->FechaProgramada);
                
                $result[] = $mantenimiento;
            endforeach;
            return $result;
        } catch (Exception $e) {
            die($e->getMessage());
        }
    }

    public function Buscar($Mantenimiento_Id, $inicio, $fin) {
        try {
            $result = array();
            $stm = $this->pdo->prepare("CALL mant_listar($Mantenimiento_Id,?,?)");
            $stm->execute([$inicio, $fin]);
            foreach($stm->fetchAll(PDO::FETCH_OBJ) as $r):
                $mantenimiento = new Mantenimiento();
                $mantenimiento->__SET('Mantenimiento_Id', $r->Mantenimiento_Id);
                $mantenimiento->__SET('nManEquipo_Id', $r->nManEquipo_Id);
                $mantenimiento->__SET('nManTecnico_Id', $r->nManTecnico_Id);
                $mantenimiento->__SET('sManOdometroAnterior', $r->sManOdometroAnterior);
                $mantenimiento->__SET('sManMantAnterior', $r->sManMantAnterior);
                $mantenimiento->__SET('sManOdometroActual', $r->sManOdometroActual);
                $mantenimiento->__SET('sManMantActual', $r->sManMantActual);
                $mantenimiento->__SET('nManPlantilla_Id', $r->nManPlantilla_Id);
                $mantenimiento->__SET('sManFirmaTecnico', $r->sManFirmaTecnico);
                $mantenimiento->__SET('sManFirmaCliente', $r->sManFirmaCliente);
                $mantenimiento->__SET('nManEstado', $r->nManEstado);
                $mantenimiento->__SET('sEqActivoFijo', $r->sEqActivoFijo);
                $mantenimiento->__SET('sEqSerie', $r->sEqSerie);
                $mantenimiento->__SET('sEqModelo', $r->sEqModelo);
                $mantenimiento->__SET('dManFecha_Act', $r->dManFecha_Act);
                $mantenimiento->__SET('Tipo', $r->Tipo);
                $mantenimiento->__SET('nManUsuario_Id', $r->nManUsuario_Id);
                $mantenimiento->__SET('nManEliminado', $r->nManEliminado);
                $mantenimiento->__SET('Usuario', $r->sUsuNombre);
                $mantenimiento->__SET('nProgramacion_Id', $r->nProgramacion_Id);
                $mantenimiento->__SET('Cliente', $r->Cliente);
                $mantenimiento->__SET('Contrato', $r->Contrato);
                $mantenimiento->__SET('FechaProgramada', $r->FechaProgramada);
                $mantenimiento->__SET('Sucursal', $r->Sucursal);
                $mantenimiento->__SET('UbiPro', $r->UbiPro);
                $mantenimiento->__SET('dniTecnico', $r->dniTecnico);
                $mantenimiento->__SET('puestoTecnico', $r->puestoTecnico);
                $mantenimiento->__SET('ClienteRUC', $r->ClienteRUC);
                $mantenimiento->__SET('sManDniCli', $r->sManDniCli);
                $mantenimiento->__SET('sManNombreCli', $r->sManNombreCli);
                $result[] = $mantenimiento;
            endforeach;
            return $result;
        } catch (Exception $e) {
            die($e->getMessage());
        }
    }

    public function MostarConDetalle($Mantenimiento_Id) {
        try {
            $result = array();
            $stm = $this->pdo->prepare("CALL mant_listar_con_detalle($Mantenimiento_Id)");
            $stm->execute();
            foreach($stm->fetchAll(PDO::FETCH_OBJ) as $r):
                $result[] = $r;
            endforeach;
            return $result;
        } catch (Exception $e) {
            die($e->getMessage());
        }
    }

    public function BuscarPrevioPorEquipo($nManEquipo_Id, $Mantenimiento_Id) {
        try {
            $result = array();
            $stm = $this->pdo->prepare("CALL mant_buscarPrevioporEquipo($nManEquipo_Id, $Mantenimiento_Id)");
            $stm->execute();
            foreach ($stm->fetchAll(PDO::FETCH_OBJ) as $r):
                $result[] = $r;
            endforeach;
            return $result;
        } catch (Exception $e) {
            die($e->getMessage());
        }
    }

    public function PlantillaMantenimientoActual($OdoActual) {
        try {
            $result = array();
            $stm = $this->pdo->prepare("CALL mant_buscarPorOdometroActual($OdoActual)");
            $stm->execute();
            foreach($stm->fetchAll(PDO::FETCH_OBJ) as $r):
                $result[] = $r;
            endforeach;
            return $result;
        } catch (Exception $e) {
            die($e->getMessage());
        }
    }

    public function GuardarMantenimiento(Mantenimiento $mantenimiento, $pProgramacion_Id) {
        try {
            $Mantenimiento_Id = 0;
            $stm = $this->pdo->prepare("CALL mant_crear(?,?,?,?,?,?,?,?,?,?,?,@pMantenimiento_Id,?,?)");
            $stm->execute(array(
                $mantenimiento->__GET('nManEquipo_Id'),
                $mantenimiento->__GET('nManTecnico_Id'),
                $mantenimiento->__GET('sManOdometroAnterior'),
                $mantenimiento->__GET('sManMantAnterior'),
                $mantenimiento->__GET('sManOdometroActual'),
                $mantenimiento->__GET('sManMantActual'),
                $mantenimiento->__GET('sManFirmaTecnico'),
                $mantenimiento->__GET('sManFirmaCliente'),
                $mantenimiento->__GET('nManUsuario_Id'),
                $mantenimiento->__GET('nManPlantilla_Id'),
                
                $pProgramacion_Id,
                
                $mantenimiento->__GET('sManDniCli'),
                $mantenimiento->__GET('sManNombreCli')
            ));
            foreach($stm->fetchAll(PDO::FETCH_OBJ) as $r):
                $Mantenimiento_Id = $r->Mantenimiento_Id;
            endforeach;
            return $Mantenimiento_Id;
        } catch (Exception $e) {
            die($e->getMessage());
        }
    }

    public function EditarMantenimiento(Mantenimiento $mantenimiento, $pProgramacion_Id, $pProgramacion_Id_old) {
        try {
            $stm = $this->pdo->prepare("CALL mant_editar(?,?,?,?,?,?,?,?,?,?,?,?,?,?,?)");
            $stm->execute(array(
                $mantenimiento->__GET('nManEquipo_Id'),
                $mantenimiento->__GET('nManTecnico_Id'),
                $mantenimiento->__GET('sManOdometroAnterior'),
                $mantenimiento->__GET('sManMantAnterior'),
                $mantenimiento->__GET('sManOdometroActual'),
                $mantenimiento->__GET('sManMantActual'),
                $mantenimiento->__GET('sManFirmaTecnico'),
                $mantenimiento->__GET('sManFirmaCliente'),
                $mantenimiento->__GET('nManUsuario_Id'),
                $mantenimiento->__GET('Mantenimiento_Id'),
                $mantenimiento->__GET('nManPlantilla_Id'),
                $pProgramacion_Id,
                $pProgramacion_Id_old,
                $mantenimiento->__GET('sManDniCli'),
                $mantenimiento->__GET('sManNombreCli'),
            ));
        } catch (Exception $e) {
            die($e->getMessage());
        }
    }

    public function MostrarUltimo() {
        try {
            $result = array();
            $stm = $this->pdo->prepare("SELECT Mantenimiento_Id FROM mantenimiento ORDER BY 1 DESC LIMIT 1");
            $stm->execute();
            foreach($stm->fetchAll(PDO::FETCH_OBJ) as $r):
                $result[] = $r;
            endforeach;
            return $result;
        } catch (Exception $e) {
            die($e->getMessage());
        }
    }

    public function CrearDetalleEvMecanica(DetalleEVMecanica $ev_mecanica) {
        try {
            $stm = $this->pdo->prepare("CALL mant_devmecanica_crear(?,?,?,?,?,?,?,?)");
            $stm->execute(array(
                $ev_mecanica->__get('Mantenimiento_Id'),
                $ev_mecanica->__get('Tarea_Id'),
                $ev_mecanica->__get('sMDEstado'),
                $ev_mecanica->__get('nMDCantidad'),
                $ev_mecanica->__get('nMDParte'),
                $ev_mecanica->__get('dMDFecha'),
                $ev_mecanica->__get('sMDObservacion'),
                $ev_mecanica->__get('sAdjunto')
            ));
        } catch (Exception $e) {
            die($e->getMessage());
        }
    }

    public function EliminarDetalleEvMecanica($Mantenimiento_Id) {
        try {
            $stm = $this->pdo->prepare("CALL mant_devmecanica_eliminar(?)");
            $stm->execute([$Mantenimiento_Id]);
        } catch (Exception $e) {
            die($e->getMessage());
        }
    }

    public function ListarTareasEdit($Mantenimiento_Id, $Plantilla_Id, $Tipo) {
        try {
            $result = array();
            $stm = $this->pdo->prepare("CALL mant_listarTareasEd(?,?,?)");
            $stm->execute([$Mantenimiento_Id, $Plantilla_Id, $Tipo]);
            foreach($stm->fetchAll(PDO::FETCH_OBJ) as $r):
                $result[] = $r;
            endforeach;
            return $result;
        } catch (Exception $e) {
            die($e->getMessage());
        }
    }

    public function ListarEvElectrica($Mantenimiento_Id) {
        try {
            $result = array();
            $stm = $this->pdo->prepare("CALL mant_listarDetEvElectrica(?)");
            $stm->execute([$Mantenimiento_Id]);
            foreach($stm->fetchAll(PDO::FETCH_OBJ) as $r):
                $data = array(
                    'Inspeccion_Id' => $r->Inspeccion_Id, 'quinientos' => $r->quinientos, 'mil' => $r->mil, 'nMegSelVolPru' => $r->nMegSelVolPru, 'sMegSerie' => $r->sMegSerie, 'nMegT1T2' => $r->nMegT1T2, 'nMegT1T3' => $r->nMegT1T3, 'nMegT1T7' => $r->nMegT1T7, 'nMegT1T8' => $r->nMegT1T8, 'nMegT1T9' => $r->nMegT1T9, 'nMegT1Trr' => $r->nMegT1Trr, 'nMegT1Val' => $r->nMegT1Val, 'sMegT1Obs' => $r->sMegT1Obs, 'nMegT2T1' => $r->nMegT2T1, 'nMegT2T3' => $r->nMegT2T3, 'nMegT2T7' => $r->nMegT2T7, 'nMegT2T8' => $r->nMegT2T8, 'nMegT2T9' => $r->nMegT2T9, 'nMegT2Trr' => $r->nMegT2Trr, 'nMegT2Val' => $r->nMegT2Val, 'sMegT2Obs' => $r->sMegT2Obs, 'nMegT3T1' => $r->nMegT3T1, 'nMegT3T2' => $r->nMegT3T2, 'nMegT3T7' => $r->nMegT3T7, 'nMegT3T8' => $r->nMegT3T8, 'nMegT3T9' => $r->nMegT3T9, 'nMegT3Trr' => $r->nMegT3Trr, 'nMegT3Val' => $r->nMegT3Val, 'sMegT3Obs' => $r->sMegT3Obs, 'nMegT7T1' => $r->nMegT7T1, 'nMegT7T2' => $r->nMegT7T2, 'nMegT7T3' => $r->nMegT7T3, 'nMegT7T8' => $r->nMegT7T8, 'nMegT7T9' => $r->nMegT7T9, 'nMegT7Trr' => $r->nMegT7Trr, 'nMegT7Val' => $r->nMegT7Val, 'sMegT7Obs' => $r->sMegT7Obs, 'nMegT8T1' => $r->nMegT8T1, 'nMegT8T2' => $r->nMegT8T2, 'nMegT8T3' => $r->nMegT8T3, 'nMegT8T7' => $r->nMegT8T7, 'nMegT8T9' => $r->nMegT8T9, 'nMegT8Trr' => $r->nMegT8Trr, 'nMegT8Val' => $r->nMegT8Val, 'sMegT8Obs' => $r->sMegT8Obs, 'nMegT9T1' => $r->nMegT9T1, 'nMegT9T2' => $r->nMegT9T2, 'nMegT9T3' => $r->nMegT9T3, 'nMegT9T7' => $r->nMegT9T7, 'nMegT9T8' => $r->nMegT9T8, 'nMegT9Trr' => $r->nMegT9Trr, 'nMegT9Val' => $r->nMegT9Val, 'sMegT9Obs' => $r->sMegT9Obs, 'nMegEstExcTrr' => $r->nMegEstExcTrr, 'nMegEstExcVal' => $r->nMegEstExcVal, 'sMegEstExcObs' => $r->sMegEstExcObs, 'nMegRotPplTrr' => $r->nMegRotPplTrr, 'nMegRotPplVal' => $r->nMegRotPplVal, 'sMegRotPplObs' => $r->sMegRotPplObs, 'nMegRotExcTrr' => $r->nMegRotExcTrr, 'nMegRotExcVal' => $r->nMegRotExcVal, 'sMegRotExcObs' => $r->sMegRotExcObs, 'nMegPgmTrr' => $r->nMegPgmTrr, 'nMegPgmVal' => $r->nMegPgmVal, 'sMegPgmObs' => $r->sMegPgmObs, 'sMegObservacion' => $r->sMegObservacion

                );
                $result[] = $data;
            endforeach;
            return $result;
        } catch (Exception $e) {
            die($e->getMessage());
        }
    }

    public function Eliminar(Mantenimiento $mantenimiento) {
        try {
            $stm = $this->pdo->prepare("CALL mant_eliminar(?)");
            $stm->execute(array(
                $mantenimiento->__GET('Mantenimiento_Id')
            ));
        } catch (Exception $e) {
            die($e->getMessage());
        }
    }

    public function EliminarTareaDetalle($Mantenimiento_Id, $Tarea_Id) {
        try {
            $stm = $this->pdo->prepare("CALL eliminar_man_detalle_tarea(?,?)");
            $stm->execute([$Mantenimiento_Id, $Tarea_Id]);
        } catch (Exception $e) {
            die($e->getMessage());
        }
    }

    public function ListarItemsPDF($Mantenimiento_Id, $Plantilla_Id) {
        try {
            $result = array();
            $stm = $this->pdo->prepare("CALL list_items_pdf(?,?)");
            $stm->execute([$Mantenimiento_Id, $Plantilla_Id]);
            foreach($stm->fetchAll(PDO::FETCH_OBJ) as $r):
                $result[] = $r;
            endforeach;
            return $result;
        } catch (Exception $e) {
            die($e->getMessage());
        }
    }

    public function ListarEquipoConMante() {
        try {
            $result = array();
            $stm = $this->pdo->prepare("CALL list_equipo_progMantenimiento()");
            $stm->execute();
            foreach($stm->fetchAll(PDO::FETCH_OBJ) as $r):
                $result[] = $r;
            endforeach;
            return $result;
        } catch (Exception $e) {
            die($e->getMessage());
        }
    }

    public function ListarEquipoSinMante($tipo) {
        try {
            $result = array();
            $stm = $this->pdo->prepare("CALL list_equipo_sin_progMantenimiento(?)");
            $stm->execute([$tipo]);
            foreach($stm->fetchAll(PDO::FETCH_OBJ) as $r):
                $result[] = $r;
            endforeach;
            return $result;
        } catch (Exception $e) {
            die($e->getMessage());
        }
    }

    public function Accion($mantenimientoId, $estado) {
        try {
            $stm = $this->pdo->prepare("CALL mant_aprobar_reaperturar(?,?)");
            $stm->execute(array(
                $mantenimientoId,
                $estado
            ));
        } catch (Exception $e) {
            die($e->getMessage());
        }
    }

}