<?php

class OrdenesTallerModel
{

    private $pdo;

    public function __CONSTRUCT()
    {
        try {
            require_once 'model/database.php';
            $this->pdo = DataBase::ObtenerConexion();
            $this->pdo->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
        } catch (Exception $e) {
            echo die($e->getMessage());
        }
    }

    public function Listar()
    {
        try {
            $result = array();
            $stm = $this->pdo->prepare('CALL ordenestaller_listar(0)');
            $stm->execute();
            foreach ($stm->fetchAll(PDO::FETCH_OBJ) as $r) {
                $result[] = $r;
            }

            return $result;
        } catch (Exception $exc) {
            echo $exc->getMessage();
        }
    }

    public function Guardar($data)
    {
        try {
            $result = array();
            $stm = $this->pdo->prepare('CALL ordenestaller_crear(?,?,?,?,?,?)');
            $stm->execute([
                $data['dOTFecha'],
                $data['sOTCodCliente'],
                $data['sOTCliente'],
                $data['sOTNumOrdenT'],
                $data['sOTArchivo'],
                $data['nOTUsuario_Id']

            ]);
            echo '<div class="alert alert-success" role="alert">
                     <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                     <strong>Éxito, información guardada</strong>, se registraron correctamente los datos.
                   </div>';

            foreach ($stm->fetchAll(PDO::FETCH_OBJ) as $r) {
                $result[] = $r;
            }

            return $result;
        } catch (Exception $exc) {
            echo $exc->getMessage();
        }
    }

    public function Editar($data)
    {
        try {
            $result = array();
            $stm = $this->pdo->prepare('CALL ordenestaller_editar(?,?,?,?,?,?,?)');
            $stm->execute([
                $data['ordenestaller_id'],
                $data['dOTFecha'],
                $data['sOTCodCliente'],
                $data['sOTCliente'],
                $data['sOTNumOrdenT'],
                $data['sOTArchivo'],
                $data['nOTUsuario_Id']

            ]);
            echo '<div class="alert alert-success" role="alert">
            <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
            <strong>Éxito, información editada</strong>, se registraron correctamente los datos.
          </div>';

            foreach ($stm->fetchAll(PDO::FETCH_OBJ) as $r) {
                $result[] = $r;
            }

            return $result;
        } catch (Exception $exc) {
            echo $exc->getMessage();
        }
    }

    public function Buscar($ordenestaller_id)
    {
        try {
            $result = array();
            $stm = $this->pdo->prepare("SELECT * FROM ordenestaller WHERE ordenestaller_id=? and nOTEliminado=0");
            $stm->execute([$ordenestaller_id]);
            foreach ($stm->fetchAll(PDO::FETCH_OBJ) as $r) {
                $result[] = $r;
            }

            return $result;
        } catch (Exception $exc) {
            echo $exc->getMessage();
        }
    }

    
    public function Eliminar($ordenestaller_id)
    {
        try {
            $result = array();
            $stm = $this->pdo->prepare("UPDATE ordenestaller SET nOTEliminado= 1 WHERE ordenestaller_id= ?");
            $stm->execute([$ordenestaller_id]);
            foreach ($stm->fetchAll(PDO::FETCH_OBJ) as $r) {
                $result[] = $r;
            }

            return $result;
        } catch (Exception $exc) {
            echo $exc->getMessage();
        }
    }

}
