<?php

class UsuarioAppModel {

    private $pdo;

    public function __CONSTRUCT() {
        try {
            require_once 'model/database.php';
            $this->pdo = DataBase::ObtenerConexion();
            $this->pdo->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
        } catch (Exception $e) {
            echo die($e->getMessage());
        }
    }

    public function Listar() {
        return $this->Buscar(0);
    }

    public function Buscar($Usuario_Id) {
        try {
            $result = array();
            $stm = $this->pdo->prepare("CALL usuapp_listar($Usuario_Id)");
            $stm->execute();

            foreach ($stm->fetchAll(PDO::FETCH_OBJ) as $r) {
                $usu = new UsuarioApp();
                $usu->__SET('Usuario_Id', $r->Usuario_Id);
                $usu->__SET('sUsuPassword', $r->sUsuPassword);
                $usu->__SET('sUsuNombre', $r->sUsuNombre);
                $usu->__SET('sUsuCelular', $r->sUsuCelular);
                $usu->__SET('nUsuEstado', $r->nUsuEstado);
                $usu->__SET('nUsuWeb', $r->nUsuWeb);
                $usu->__SET('nUsuTipo', $r->nUsuTipo);
                $usu->__SET('nUsuUsuarioOwn_Id', $r->nUsuUsuarioOwn_Id);
                $usu->__SET('nUsuId', $r->nUsuId);
                $usu->__SET('sUsuCodigoSap', $r->sUsuCodigoSap);
                $usu->__SET('sUsuPuesto', $r->sUsuPuesto);
                $usu->__SET('sUsuDni', $r->sUsuDni);
                $result[] = $usu;
            }
            return $result;
        } catch (Exception $e) {
            echo die($e->getMessage());
        }
    }

    public function Guardar(UsuarioApp $data) {
        print_r($data);
        try {
            $stm = $this->pdo->prepare("CALL usuapp_crear(?,?,?,?,?,?,?,?,?,?,?)");
            $stm->execute(array(
                $data->__get('Usuario_Id'),
                $data->__get('sUsuPassword'),
                $data->__get('sUsuNombre'),
                $data->__get('nUsuEstado'),
                $data->__get('nUsuWeb'),
                $data->__get('nUsuTipo'),
                $data->__get('nUsuUsuarioOwn_Id'),
                $data->__get('sUsuCelular'),
                $data->__get('sUsuCodigoSap'),
                $data->__get('sUsuPuesto'),
                $data->__get('sUsuDni')
            ));
            echo '<div class="alert alert-success alert-dismissable">
                    <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
                    <h4>	<i class="icon fa fa-check"></i> Informacion Guardada.</h4>
                    La informacion fue registrada satisfactoriamente.
                  </div>';
        } catch (Exception $e) {
            echo '<div class="alert alert-danger" role="alert">
                    <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                    <strong>Error!</strong>,' . $e->getMessage() . '.
                  </div>';
        }
    }

    public function Editar(UsuarioApp $data) {
        try {
            $stm = $this->pdo->prepare("CALL usuapp_editar(?,?,?,?,?,?,?,?,?,?,?,?)");
            $stm->execute(array(
                $data->__get('nUsuId'),
                $data->__get('Usuario_Id'),
                $data->__get('sUsuPassword'),
                $data->__get('sUsuNombre'),
                $data->__get('nUsuEstado'),
                $data->__get('nUsuWeb'),
                $data->__get('nUsuTipo'),
                $data->__get('nUsuUsuarioOwn_Id'),
                $data->__get('sUsuCelular'),
                $data->__get('sUsuCodigoSap'),
                $data->__get('sUsuPuesto'),
                $data->__get('sUsuDni')
            ));
            echo '<div class="alert alert-success alert-dismissable">
                    <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
                    <h4>	<i class="icon fa fa-check"></i> Informacion Modificada.</h4>
                    La informacion fue modificada satisfactoriamente.
                  </div>';
            echo '<script type="text/javascript">window.location="?c=Usuario&a=Index";</script>';
        } catch (Exception $e) {
            echo die($e->getMessage());
        }
    }

    public function Eliminar(UsuarioApp $data) {
        try {
            $stm = $this->pdo->prepare("CALL usuapp_eliminar(?,?)");
            $stm->execute(array(
                $data->__get('nUsuId'),
                $data->__get('nUsuUsuarioOwn_Id')
            ));
        } catch (Exception $e) {
            echo die($e->getMessage());
        }
    }

    public function Estado(UsuarioApp $data) {
        try {
            $stm = $this->pdo->prepare("CALL usuapp_estado(?,?)");
            $stm->execute(array($data->__get('Usuario_Id'), $data->__get('nUsuEstado')));
        } catch (Exception $e) {
            echo die($e->getMessage());
        }
    }

    public function Disabled($usuario) {
        try {
            $stm = $this->pdo->prepare("CALL usuapp_disabled('$usuario')");
            $stm->execute();
        } catch (Exception $e) {
            echo die($e->getMessage());
        }
    }

}
