<?php

require_once 'model/usuarioapp.entidad.php';
require_once 'model/usuarioapp.model.php';
require_once 'model/progmantenimiento.entidad.php';
require_once 'model/progmantenimiento.model.php';
require_once 'model/equipo.entidad.php';
require_once 'model/equipo.model.php';
require_once 'model/plantilla.entidad.php';
require_once 'model/plantilla.model.php';

class ProgMantenimientoController extends helpers {

    private $programacion_model;
    private $equipo_model;
    private $usuarioapp_model;
    private $plantilla_model;

    public function __CONSTRUCT() {
        $this->programacion_model = new ProgramaciónModel();
        $this->equipo_model = new EquipoModel();
        $this->plantilla_model = new PlantillaModel();
        $this->usuarioapp_model = new UsuarioAppModel();
    }

    public function Index() {
        $programaciones = $this->programacion_model->Listar();

        require_once 'view/header.php';
        require_once 'view/webforms/wfaprogmantenimiento.php';
        echo "<script type='text/javascript'>
                        $(document).ready(function (){
                            $('.operaciones').addClass('active');
                        });
                  </script>";
        require_once 'view/footer.php';
    }

    public function FrmGuardarProgMantenimiento() {
        $equipos = $this->equipo_model->Listar();
        $tecnicos = $this->usuarioapp_model->Listar();
        $plantillas = $this->plantilla_model->Listar();
        require_once 'view/webforms/wfaprogmantenimientoa.php';
    }

    public function FrmEditarProgramacion() {
        $programacion = $this->programacion_model->Buscar($_POST['Programacion_Id']);
        $equipos = $this->equipo_model->Listar();
        $tecnicos = $this->usuarioapp_model->Listar();
        $plantillas = $this->plantilla_model->Listar();

        foreach ($programacion as $r):
            require_once 'view/webforms/wfaprogmantenimientoa.php';
        endforeach;
    }

    public function MostrarProgramacion() {
        $programacion = $this->programacion_model->Buscar($_POST['Programacion_Id']);
        foreach ($programacion as $r):
            echo " <tbody>
                          <tr>
                             <td>
                                Fecha
                             </td>
                             <td>" . $r->__GET('dProFecha') . "</td>
                          </tr>
                          <tr>
                             <td>Plantilla</td>
                             <td>" . $r->__GET('sPlaNombre') . "</td>
                          </tr>
                          <tr>
                             <td>Equipo</td>
                             <td>" . $r->__GET('sEqActivoFijo') . "</td>
                          </tr>
                          <tr>
                             <td>Técnico</td>
                             <td>" . $r->__GET('sUsuNombre') . "</td>
                          </tr>
                          <tr>
                             <td>Estado</td>
                             <td>" . ($r->__GET('nProEstado') == '1' ? '<span class="label bg-green">Habilitado</span>' : '<span class="label bg-danger">Inhabilitado</span>') . "</td>
                          </tr>
                       </tbody>
                     ";
        endforeach;
    }

    public function GuardarProgramacion() {
        $programacion = new Programación();
        $programacion->__SET('Programacion_Id', $_POST['Programacion_Id']);
        $programacion->__SET('dProFecha', $_POST['dProFecha']);
        $programacion->__SET('nProEquipo_Id', $_POST['nProEquipo_Id']);
        $programacion->__SET('nProTecnico_Id', $_POST['nProTecnico_Id']);
        $programacion->__SET('nProPlantilla_Id', $_POST['nProPlantilla_Id']);
        $programacion->__SET('nProUsuario_Id', $_SESSION['usu_codigo']);
        $_POST['Programacion_Id'] == 0 ? $this->programacion_model->Guardar($programacion) : $this->programacion_model->Editar($programacion);
        echo '<div class="alert alert-success prod" role="alert">
                <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                <strong>Exito!</strong>, los datos fueron agregados correctamente.
            </div>';
    }

    public function EliminarProgramacion() {
        $programacion = new Programación();
        $programacion->__SET('Programacion_Id', $_POST['idProgramacion']);
        $this->programacion_model->Eliminar($programacion);
        echo '<script type="text/javascript">window.location="?c=ProgMantenimiento&a=Index";</script>';
    }

    // public function PDFUsuario() {
    //     $datos = $this->usuario_model->Buscar($_POST['idUsuario']);
    //     require_once 'view/webforms/PDF/usuario.php';
    // }

}

?>