<?php

require_once 'model/inspecciones.entidad.php';
require_once 'model/inspecciones.model.php';
require_once 'model/protocolos.entidad.php';
require_once 'model/protocolos.model.php';
require_once 'model/parametro.model.php';
require_once 'model/parametro.entidad.php';
require_once 'model/sistema.entidad.php';
require_once 'model/inspecciones_det.entidad.php';
require_once 'model/clientes.entidad.php';
require_once 'model/clientes.model.php';

class ProtocolosController extends helpers {

    private $inspecciones_model;
    private $protocolos_model;
    private $parametro_model;
    private $clientes_model;

    public function __CONSTRUCT() {
        $this->inspecciones_model = new InspeccionesModel();
        $this->protocolos_model = new ProtocolosModel();
        $this->parametro_model = new ParametroModel();
        $this->clientes_model = new ClientesModel();
    }


    public function IndexProtocolos() {
        $parametro = $this->parametro_model->ListarParametros();
        $inspecciones = $this->protocolos_model->Listar();
        require_once 'view/header.php';
        require_once 'view/webforms/wfaprotocolos.php';
        echo "<script type='text/javascript'>
                        $(document).ready(function (){
                            $('.operaciones').addClass('active');
                        });
                  </script>";
        require_once 'view/footer.php';
    }
    
    public function EliminarProtocolo() {
        //print_r($_POST['Inspeccion_Id']);

        $this->protocolos_model->EliminarProtocolo($_POST['Inspeccion_Id']);
        echo '<script type="text/javascript">window.location="?c=protocolos&a=IndexProtocolos";</script>';
    }


    public function PDF(){
        $datos = $this->inspecciones_model->Buscar($_GET['Inspeccion_Id']);
        $protocolo  = $this->protocolos_model->ListarProtocolo($_GET['Inspeccion_Id']);
        //var_dump($protocolo);
        $protocolodetalle  = $this->protocolos_model->ListarDetalle1($_GET['Inspeccion_Id']);
        $protocolofin  = $this->protocolos_model->ListarDetalle2($_GET['Inspeccion_Id']);
        
        //print_r($_GET['Inspeccion_Id']);
        //print_r($datos);
        require_once 'view/webforms/PDF/pdfprotocolos.php';        
    }




    public function IndexProtocolosCli() {
        //print_r($_SESSION);
        $parametro = $this->parametro_model->ListarParametros();
        //$cliente = $this->clientes_model->Buscar($_SESSION['usu_codigo']);
		$cliente = $this->clientes_model->Buscar($_SESSION['usu_Cli_Id']);
        $cliente = $cliente[0];
        $inspecciones = $this->protocolos_model->ListarProtocolosCliente($cliente->sCliCodigo);
        require_once 'view/headercliente.php';
        require_once 'view/webforms/wfaprotocolosc.php';
        echo "<script type='text/javascript'>
                        $(document).ready(function (){
                            $('.operaciones').addClass('active');
                        });
                  </script>";
        require_once 'view/footer.php';
    }

   


///////////////////////////////////////////////////////

    public function IndexUsuarioApp() {
        $parametro = $this->parametro_model->ListarParametros();
        $usuarios = $this->usuario_model->ListarUsuariosApp();
        require_once 'view/header.php';
        require_once 'view/webforms/wfausuarioapp.php';
        echo "<script type='text/javascript'>
                        $(document).ready(function (){
                            $('.catalogos').addClass('active');
                        });
                  </script>";
        require_once 'view/footer.php';
    }
    

    public function FrmNuevoUsu() {
        $parametro = $this->parametro_model->ListarParametros();
        $usuarios = $this->usuario_model->Listar();
        require_once 'view/header.php';
        require_once 'view/webforms/wfausuarioa.php';
        echo "<script type='text/javascript'>
                        $(document).ready(function (){
                            $('.catalogos').addClass('active');
                        });
                  </script>";
        require_once 'view/footer.php';
    }

    public function FrmGuardarUsuario() {
        require_once 'view/webforms/wfausuarioa.php';
    }

    public function FrmEditarUsuario() {
        $obtenerUsuario = $this->usuario_model->Buscar($_POST['Usuario_Id']);
        foreach ($obtenerUsuario as $r):
            require_once 'view/webforms/wfausuarioa.php';
        endforeach;
    }

    public function MostrarUsuario() {
        $usuarios = $this->usuario_model->Buscar($_POST['Usuario_Id']);
        foreach ($usuarios as $r):
            if ($r->__GET('nUsuTipo') == 1) {
                $tipo = "ADMINISTRADOR";
            } elseif ($r->__GET('nUsuTipo') == 2) {
                $tipo = "SUPERVISOR PRODUCCION";
            } elseif ($r->__GET('nUsuTipo') == 3) {
                $tipo = "CALIDAD";
            } elseif ($r->__GET('nUsuTipo') == 4) {
                $tipo = "OPERARIO";
            } elseif ($r->__GET('nUsuTipo') == 10) {
                $tipo = "SUPERVISOR CALIDAD";
            } elseif ($r->__GET('nUsuTipo') == 11) {
                $tipo = "POST VENTA";
            } else {
                $tipo = "NA";
            }

            echo " <tbody>
                          <tr>
                             <td>
                                <input type='hidden' name='idUsuario' id='idUsuario' value='" . $r->__GET('Usuario_Id') . "'> 
                                Nombre de Usuario
                             </td>
                             <td>" . $r->__GET('sUsuNombre') . "</td>
                          </tr>
                          <tr>
                             <td>Login</td>
                             <td>" . $r->__GET('sUsuLogin') . "</td>
                          </tr>  
                          <tr>
                             <td>Tipo de Usuario</td>
                             <td>" . $tipo . "</td>
                          </tr>  
                          <tr>
                             <td>Estado</td>
                             <td>" . ($r->__GET('nUsuEstado') == '1' ? '<span class="label bg-green">Habilitado</span>' : '<span class="label bg-danger">Inhabilitado</span>') . "</td>
                          </tr>
                       </tbody>
                     ";
        endforeach;
    }

    public function GuardarUsuario() {
        $usu = new Usuario();
        if ($_POST['idRegistro'] != 0 ? $usu->__SET('Usuario_Id', $_POST['idRegistro']) : '');
        $usu->__SET('Personal_Id', $this->str_uppercase($_POST['Personal_Id']));
        $usu->__SET('sUsuNombre', $this->str_uppercase($_POST['nombre']));
        $usu->__SET('sUsuLogin', $this->str_uppercase($_POST['login']));
        $usu->__SET('sUsuContrasena', $this->str_uppercase($_POST['contraseñaTwo']));
        $usu->__SET('nUsuTipo', $this->str_uppercase($_POST['tipo']));
        $usu->__SET('nUsuEstado', $this->str_uppercase($_POST['estado']));
        $usu->__SET('sUsuCodigosap', $_POST["codigosap"]);
        $usu->__SET('nUsuEliminado', 0);
        $usu->__SET('nUsuUsuarioOwn_Id', $_SESSION['usu_codigo']);
        if ($_POST['idRegistro'] == 0 ? $this->usuario_model->Guardar($usu) : $this->usuario_model->Editar($usu));
    }

    

    public function PDFUsuario() {
        $datos = $this->usuario_model->Buscar($_POST['idUsuario']);
        require_once 'view/webforms/PDF/usuario.php';
    }

}

?>