<?php

class EquipoModel {
    private $pdo;

    public function __construct()
    {
        try {
            require_once 'model/database.php';
            $this->pdo = DataBase::ObtenerConexion();
            $this->pdo->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
        } catch (Exception $e) {
            die($e->getMessage());
        }
    }

    public function Listar() {
        try {
            $result = array();
            $stm = $this->pdo->prepare("CALL eq_listar(0)");
            $stm->execute();
            foreach($stm->fetchAll(PDO::FETCH_OBJ) as $r):
                $equipo = new Equipo();
                $equipo->__set('Equipo_Id', $r->Equipo_Id);
                $equipo->__set('sEqActivoFijo', $r->sEqActivoFijo);
                $equipo->__set('sEqModelo', $r->sEqModelo);
                $equipo->__set('sEqSerie', $r->sEqSerie);
                $equipo->__set('nEqTipo', $r->nEqTipo);
                $equipo->__set('nEqEliminado', $r->nEqEliminado);
                $equipo->__set('sEqSatelite', $r->sEqSatelite);
                $result[] = $equipo;
            endforeach;
            return $result;
        } catch (Exception $e) {
            die($e->getMessage());
        }
    }

    public function Buscar($Equipo_Id) {
        try {
            $result = array();
            $stm = $this->pdo->prepare("CALL eq_listar($Equipo_Id)");
            $stm->execute();
            foreach($stm->fetchAll(PDO::FETCH_OBJ) as $r):
                $equipo = new Equipo();
                $equipo->__set('Equipo_Id', $r->Equipo_Id);
                $equipo->__set('sEqActivoFijo', $r->sEqActivoFijo);
                $equipo->__set('sEqModelo', $r->sEqModelo);
                $equipo->__set('sEqSerie', $r->sEqSerie);
                $equipo->__set('nEqTipo', $r->nEqTipo);
                $equipo->__set('nEqEliminado', $r->nEqEliminado);
                $equipo->__set('sEqSatelite', $r->sEqSatelite);
                $result[] = $equipo;
            endforeach;
            return $result;
        } catch (Exception $e) {
            die($e->getMessage());
        }
    }

    public function Guardar(Equipo $equipo) {
        try {
            $Equipo_Id = 0;
            $stm = $this->pdo->prepare("CALL eq_crear(?,?,?,?,?,?,@pEquipo_Id)");
            $stm->execute(array(
                $equipo->__get('sEqActivoFijo'),
                $equipo->__get('sEqModelo'),
                $equipo->__get('sEqSerie'),
                $equipo->__get('nEqTipo'),
                $equipo->__get('nEqUsuario_Id'),
                $equipo->__get('sEqSatelite')
            ));
            foreach($stm->fetchAll(PDO::FETCH_OBJ) as $r):
                $Equipo_Id = $r->Equipo_Id;
            endforeach;
            return $Equipo_Id;
        } catch (Exception $e) {
            die($e->getMessage());
        }
    }

    public function Editar(Equipo $equipo) {
        try {
            $stm = $this->pdo->prepare("CALL eq_editar(?,?,?,?,?,?,?)");
            $stm->execute(array(
                $equipo->__get('sEqActivoFijo'),
                $equipo->__get('sEqModelo'),
                $equipo->__get('sEqSerie'),
                $equipo->__get('nEqTipo'),
                $equipo->__get('Equipo_Id'),
                $equipo->__get('nEqUsuario_Id'),
                $equipo->__get('sEqSatelite')
            ));
        } catch (Exception $e) {
            die($e->getMessage());
        }
    }

    public function Eliminar(Equipo $equipo) {
        try {
            $stm = $this->pdo->prepare("CALL eq_eliminar(?)");
            $stm->execute(array(
                $equipo->__get('Equipo_Id')
            ));
        } catch (Exception $e) {
            die($e->getMessage());
        }
    }

    public function ActivoFijoExiste($id, $activoFijo) {
        $stmt = $this->pdo->prepare("SELECT COUNT(*) FROM equipos WHERE sEqActivoFijo = :activoFijo AND Equipo_Id != :id");
        $stmt->bindParam(":activoFijo", $activoFijo);
        $stmt->bindParam(":id", $id);
        $stmt->execute();
        return $stmt->fetchColumn() > 0;
    }
    

    public function CrearEquipoRepuesto(EquipoRepuesto $equipoRep) {
        try {
            $stm = $this->pdo->prepare("CALL crear_detalle_repuesto(?,?)");
            $stm->execute(array(
                $equipoRep->__get('nEquipo_Id'),
                $equipoRep->__get('nRepuesto_Id')
            ));
        } catch (Exception $e) {
            die($e->getMessage());
        }
    }

    public function BuscarPorActivoFijo($sActivoFijo) {
        try {
            $result = array();
            $stm = $this->pdo->prepare("CALL buscar_equipo_activofijo(?)");
            $stm->execute([$sActivoFijo]);
            foreach($stm->fetchAll(PDO::FETCH_OBJ) as $r):
                $result[] = $r;
            endforeach;
            return $result;
        } catch (Exception $e) {
            die($e->getMessage());
        }
    }
}