<?php

class ParametroModel {
    private $pdo;
    public function __CONSTRUCT(){
        try {
            require_once 'model/database.php';
            $this->pdo = DataBase::ObtenerConexion();
            $this->pdo->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
        } catch (Exception $e) {
            die($e->getMessage());
        }
    }
    public function ListarParametros(){
        try {
            $result = array();
            $stm = $this->pdo->prepare('CALL `param_listar`(0);');
            $stm->execute();
            
            foreach ($stm->fetchAll(PDO::FETCH_OBJ) as $r){
                $param = new Parametro();
                $param->__SET('Parametro_Id', $r->Parametro_Id);                
                $param->__SET('sParDescripcion', $r->sParDescripcion);
                $param->__SET('sParValor', $r->sParValor);
                $result[] = $param;
            }
            return $result;
        } catch (Exception $e) {
            die($e->getMessage());
        }
    }
        public function BuscarParametros($id){
        try {
            $result = array();
            $stm = $this->pdo->prepare('CALL `param_listar`('.$id.');');
            $stm->execute();
            
            foreach ($stm->fetchAll(PDO::FETCH_OBJ) as $r){
                
                //return ['Parametro_Id' => $r->Parametro_Id,               
                //        'sParDescripcion' => $r->sParDescripcion,
                //        'sParValor' => $r->sParValor ];


                $data = array(
                'Parametro_Id' => $r->Parametro_Id,               
                'sParDescripcion' => $r->sParDescripcion,
                'sParValor' => $r->sParValor 
                );

                 $result[] = $data;
            }
            return $result;
        } catch (Exception $e) {
            die($e->getMessage());
        }
    }
    public function guardarParametros($data){
        try {
            for($i=0;$i<count($data);$i++){
                $sql = "CALL param_editar(?, ?)";

                $this->pdo->prepare($sql)
                     ->execute(array($data[$i]["datos"],
                                     $data[$i]["codigo"]
                                    )); 
            }
            echo '<div class="alert alert-success alert-dismissable">
                    <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
                    <h4>	<i class="icon fa fa-check"></i> Informacion Guardada.</h4>
                    La informacion fue registrada satisfactoriamente.
                  </div>';
        } catch (Exception $e) {
            die($e->getMessage());
        }
    }
}
