<?php
/**
 * HTML2PDF Librairy - example
 *
 * HTML => PDF convertor
 * distributed under the LGPL License
 *
 * @author      Laurent MINGUET <webmaster@html2pdf.fr>
 *
 * isset($_GET['vuehtml']) is not mandatory
 * it allow to display the result in the HTML format
 */
header('Content-type: text/html; charset=UTF-8');
ob_start();
?>
<style type="text/css">
    table.page_header {
        width: 93%; 
        border: none; 
        padding: 3mm 4mm;
        margin: 5px 2px 0px 23px;
    }
    table.page_header tr td {        
        border: 0.1mm solid #000; 
    }
    table.page_footer {width: 100%; border: none; border-top: solid 0.1mm #E6892F; padding: 3mm 4mm}
    .title{width: 100%; border: none; border-bottom: solid 0.1mm #E6892F; padding-bottom: 4mm;}
    h1 {color: #000033}
    h2 {color: #000055}
    h3 {color: #000077}
    h4 {
        margin: 0px;
    }

    div.niveau
    {
        padding-left: 5mm;
    }
    .table{
        width: 100%;
    }
    .table thead tr th,
    .table tr th{
        padding-bottom: 0px;
        padding-top: 0px;
        background: #efefef;
    }
    .table tbody tr td,
    .table tbody tr th{
        font-size: 11px;
        border: 0.1mm solid #000;
        margin: 0px;
        padding: 0px 0px;
    }
    hr{
        border: 0.2mm solid #A7A7A7;
        margin-bottom: 5px;
        margin-top: 0px;
    }
    h5{
        margin: 0px;
        text-align: left;
    }
    p{
        margin: 0px;
        padding: 0px;
    }
    .no-border thead tr td,
    .no-border thead tr th,
    .no-border tbody tr td,
    .no-border tbody tr th{
        border: 0px solid black;
    }
    .text-center tbody tr td{
        text-align: center;
    }
    .text-center tbody tr td p,
    .text-center tbody tr th p{
        margin: auto;
        width: 100%;
        background: red;
        text-align: center !important;
    }
    td.active{
        background: #efefef;
        text-align: center;
    }
</style>

<page backtop="20mm" backbottom="20mm" backleft="10mm" backright="10mm" style="font-size: 11pt;">
<bookmark title="Sommaire" level="0">
    <page_header>
        <table class="page_header" cellpadding="0" cellspacing="0">
            <tr>
                <td style="width: 20%; text-align: left" rowspan="2">
                    <img src="view/librerias/dist/img/logo_modasa.png" width="150">
                </td>
                <td rowspan="2" style="width: 60%; text-align: center; color: #7b7b7b;">
                   Informe de Servicio Técnico
                </td>
                <td style="width: 10%; text-align: left; color: #7b7b7b;  font-size: 7pt;">
                    Revisado <br> AD / RY / DP                 
                 </td>                
                <td style="width: 10%; text-align: left; color: #7b7b7b; font-size: 7pt;">
                     FC                 
                 </td>
            </tr>
            <tr>
                <td style="text-align: left; color: #7b7b7b; font-size: 7pt;">Aprobado <br> JD</td>
                <td style="text-align: left; color: #7b7b7b; font-size: 7pt">Revisión / Fecha</td>
            </tr>
        </table>
    </page_header>
    

<?php             
foreach ($datos as $r){
?>
        <table class="table" cellpadding="0" cellspacing="0">
            <tbody>
                <tr>
                    <th style="width: 15%">Cliente</th>
                    <td style="width: 55%"><?php echo utf8_decode($r['sInsCliente'] != "" ? $r['sInsCliente'] : '-'); ?></td>
                    <th style="width: 10%" class="active">Código</th>                    
                    <td style="width: 20%; text-align: center;"><?php echo $r['sInsCodCliente'] != "" ? strtoupper($r['sInsCodCliente']) : '-'; ?></td>                    
                </tr>
            </tbody>
        </table>
        <table class="table" cellpadding="0" cellspacing="0">
            <tbody>
                <tr>
                    <th style="width: 15%">Dirección</th>
                    <td style="width: 55%"><?php echo utf8_decode($r['Direccion'] != "" ? $r['Direccion'] : '-'); ?></td>
                    <th style="width: 10%" class="active">Distrito</th>                    
                    <td style="width: 20%; text-align: center;"><?php echo utf8_decode($r['sDistrito'] != "" ? $r['sDistrito'] : '-'); ?></td>
                </tr>
                <tr>
                    <th style="width: 15%">Sede / Proyecto</th>
                    <td style="width: 55%"><?php echo utf8_decode($r['sSedeProyecto'] != "" ? $r['sSedeProyecto'] : '-'); ?></td>
                    <th style="width: 10%" class="active">Ciudad</th>                    
                    <td style="width: 20%; text-align: center;"><?php echo utf8_decode($r['sCiudad'] != "" ? $r['sCiudad'] : '-'); ?></td>
                </tr>
                <tr>
                    <th style="width: 15%">Contacto</th>
                    <td style="width: 55%"><?php echo utf8_decode($r['sNombreContacto'] != "" ? $r['sNombreContacto'] : '-'); ?></td>
                    <th style="width: 10%" class="active">Teléfono</th>                    
                    <td style="width: 20%; text-align: center;"><?php echo $r['sTelefonoContacto'] != "" ? $r['sTelefonoContacto'] : '-'; ?></td>
                </tr>
            </tbody>
        </table>

        <br>
        <table class="table" cellpadding="0" cellspacing="0">
            <tbody>
                <tr>    
                    <th style="width: 15%" class="active">Servicio</th>                    
                    <td style="width: 55%"><?php echo utf8_decode($r['sInsServicio'] != "" ? $r['sInsServicio'] : '-'); ?></td>
                    <th style="width: 15%" class="active">Código Equipo</th>                    
                    <td style="width: 15%; text-align: center;"><?php echo $r['sInsCodEquipo'] != "" ? strtoupper($r['sInsCodEquipo']) : '-'; ?></td>
                </tr>
                <tr>    
                    <th style="width: 15%" class="active">Producto</th>                    
                    <td style="width: 55%; "><?php echo utf8_decode($r['sInsProducto'] != "" ? $r['sInsProducto'] : '-'); ?></td>
                    <th style="width: 10%">Serie</th>
                    <td style="width: 10%; text-align: center;"><?php echo $r['sInsSerie'] != "" ? $r['sInsSerie'] : '-'; ?>
                    </td>
                </tr>
            </tbody>
         </table>
        
         <table class="table" cellpadding="0" cellspacing="0">
            <tbody>
                <tr>
                    <th style="width: 15%">Marca</th>
                    <td style="width: 20%; text-align: center;"><?php echo utf8_decode($r['sInsMarca'] != "" ? $r['sInsMarca'] : '-'); ?></td>
                    <th style="width: 15%">KW</th>
                    <td style="width: 20%; text-align: center;"><?php echo $r['sInsKW'] != "" ? $r['sInsKW'] : '-'; ?></td>
                    <th style="width: 10%">Horómetro</th>
                    <td style="width: 20%; text-align: center;"><?php echo $r['sInsHorometro'] != "" ? $r['sInsHorometro'] : '-'; ?></td>
                </tr>
                <tr>
                    <th style="width: 15%" class="active">Marca Motor</th>
                    <td style="width: 20%; text-align: center;"><?php echo utf8_decode($r['sInsMotorMarca'] != "" ? $r['sInsMotorMarca'] : '-'); ?></td>
                    <th style="width: 15%" class="active">N° Serie Motor</th>
                    <td style="width: 20%; text-align: center;"><?php echo $r['sInsMotorSerie'] != "" ? $r['sInsMotorSerie'] : '-'; ?></td>
                    <th style="width: 10%" class="active">L.P.</th>
                    <td style="width: 20%; text-align: center;"><?php echo $r['sInsMotorListaPartes'] != "" ? $r['sInsMotorListaPartes'] : '-'; ?></td>
                    
                </tr>
                <tr>
                    <th style="width: 15%" class="active">Marca Alternador</th>
                    <td style="width: 10%; text-align: center;"><?php echo utf8_decode($r['sInsAlternadorMarca'] != "" ? $r['sInsAlternadorMarca'] : '-'); ?></td>
                    <th style="width: 15%" class="active">N° Serie Alternador</th>
                    <td style="width: 20%; text-align: center;"><?php echo $r['sInsAlternadorSerie'] != "" ? $r['sInsAlternadorSerie'] : '-'; ?></td>
                    <th style="width: 10%" class="active">KW</th>
                    <td style="width: 20%; text-align: center;"><?php echo $r['sInsAlternadorKW'] != "" ? $r['sInsAlternadorKW'] : '-'; ?></td>
                </tr>
                <tr>
                    <th style="width: 15%" class="active">Fecha</th>
                    <td style="width: 10%; text-align: center;"><?php echo $r['dInsFecha'] != "" ? $r['dInsFecha'] : '-'; ?></td>
                    <th style="width: 15%" class="active">Inicio</th>
                    <td style="width: 20%; text-align: center;"><?php echo $r['dInsHoraInicio'] != "" ? $r['dInsHoraInicio'] : '-'; ?></td>
                    <th style="width: 10%" class="active">Término</th>
                    <td style="width: 10%; text-align: center;"><?php echo $r['dInsHoraTermino'] != "" ? $r['dInsHoraTermino'] : '-'; ?></td>
                </tr>                  
            </tbody>
         </table>

         <table class="table" cellpadding="0" cellspacing="0">
            <tbody>
                <tr>
                <th style="width: 15%" class="active">Técnico</th>
                    <td style="width: 85%"><?php echo utf8_decode($r['sInsTecnicoResponsable'] != "" ? $r['sInsTecnicoResponsable'] : '-'); ?></td>                    
                </tr>                           
            </tbody>
         </table>
         


        <br>
        <table class="table" cellpadding="0" cellspacing="0">
            <tbody>
                <tr>
                    <th style="width: 100%">EVALUACIÓN MECÁNICA</th>         
                </tr>
            </tbody>
            
        </table>
        <br>

         <table class="table" cellpadding="0" cellspacing="0">
            <tbody>
                <tr>
                    <th style="width: 30%; text-align: left;" rowspan="5"></th>
                    <th style="text-align: left;  font-size: 7pt;background: #dadcd9; " class="active" colspan="8" >Se reemplazó</th>               
                </tr>
                <tr>
                    <th style="width: 5%; text-align: center;  font-size: 5pt; background: #dadcd9; " class="active"></th> 
                    <th style="text-align: left;  font-size: 7pt; background: #6cfc58; " class="active"  colspan="7" >Revisado Operativo</th>                              
                </tr>
                <tr>
                    <th style="width: 5%; text-align: center;  font-size: 5pt; background: #dadcd9; " class="active"></th> 
                    <th style="width: 5%; text-align: center;  font-size: 5pt; background: #6cfc58;" class="active"></th> 
                    <th style="text-align: left;  font-size: 7pt; background: #f8ff85;" class="active" colspan="6" >Requiere atención próximo servicio</th>                                    
                </tr>
                <tr>
                    <th style="width: 5%; text-align: center;  font-size: 5pt; background: #dadcd9; " class="active"></th> 
                    <th style="width: 5%; text-align: center;  font-size: 5pt; background: #6cfc58; " class="active"></th> 
                    <th style="width: 5%; text-align: center;  font-size: 5pt; background: #f8ff85; " class="active"></th> 
                    <th style="width: 55%; text-align: left;  font-size: 7pt; background: #f9b2b2 ;" class="active" colspan="5" >Requiere atención Inmediata</th>
                </tr>

                <tr>
                    <th style="width: 5%; text-align: center;  font-size: 5pt; background: #dadcd9; " class="active"></th> 
                    <th style="width: 5%; text-align: center;  font-size: 5pt; background: #6cfc58; " class="active"></th> 
                    <th style="width: 5%; text-align: center;  font-size: 5pt; background: #f8ff85;" class="active"></th> 
                    <th style="width: 5%; text-align: center;  font-size: 5pt; background: #f9b2b2 ;" class="active"></th>
                    <th style="width: 5%; text-align: center;font-size: 7pt;"class="active">Cant.</th>
                    <th style="width: 10%; text-align: center; font-size: 7pt;"class="active">N° Parte</th>
                    <th  style="width: 8%; text-align: center; font-size: 7pt;"class="active">Fecha</th>
                    <th style="width: 27%; text-align: center; font-size: 7pt;"class="active">Observación</th>                    
                </tr>
            </tbody>
        </table>
        
        <!-- Listar Sistemas -->
        <?php             
        foreach ($sistemas as $s){
        // para sistemas tipo 1 
        if ($s['nSisTipo'] ==  1) { 
                
        ?>

        <table class="table" cellpadding="0" cellspacing="0">
            <tbody>
                
                <tr>
                    <th style="width: 100%; text-align: left;"><p id="sSisNombre">
                        <?php echo $s['sSisNombre'] != "" ? $s['sSisNombre'] : '-'; ?></p></th>
                    <!--<th style="width: 5%; text-align: center;  font-size: 5pt; background: #dadcd9; " class="active"></th> 
                    <th style="width: 5%; text-align: center;  font-size: 5pt; background: #6cfc58; " class="active"></th> 
                    <th style="width: 5%; text-align: center;  font-size: 5pt; background: #f8ff85;" class="active"></th> 
                    <th style="width: 5%; text-align: center;  font-size: 5pt; background: #f9b2b2 ;" class="active"></th>
                    <th style="width: 5%; text-align: center;font-size: 7pt;"class="active">Cant.</th>
                    <th style="width: 10%; text-align: center; font-size: 7pt;"class="active">N° Parte</th>
                    <th  style="width: 8%; text-align: center; font-size: 7pt;"class="active">Fecha</th>
                    <th style="width: 27%; text-align: center; font-size: 7pt;"class="active">Observación</th>   -->                 
                </tr>
            </tbody>
        </table>
                <!-- Listar Preguntas -->
        <?php             
        foreach ($detalle1 as $d){
            // Para cada registro comparar
            if ($d['Sistema_Id'] ==  $s['Sistema_Id']) {
        ?>
            <!-- este es el detalle que quiero mostrar-->
            <table class="table" cellpadding="0" cellspacing="0" style="font-size: 9pt;">
            <tbody>
                <tr>
                    <td style="width: 4%; text-align: center; font-size: 7pt;"><p id="nPreOrden">
                    <?php echo $d['nPreOrden'] != "" ? $d['nPreOrden'] : '-'; ?></p></td> 
                    <td style="width: 26%;  font-size: 7pt;"><p id="sPreDescripcion">
                    <?php echo $d['sPreDescripcion'] != "" ? $d['sPreDescripcion'] : '-'; ?></p></td> 
                    <td style="width: 5%; background: #dadcd9; text-align: center; font-size: 7pt;">
                    <?php echo $d['Reemplazado'] != "" ? $d['Reemplazado'] : '-'; ?></td>
                    <td style="width: 5%; background: #6cfc58; text-align: center; font-size: 7pt;"><?php echo $d['Operativo'] != "" ? $d['Operativo'] : '-'; ?></td> 
                    <td style="width: 5%; background: #f8ff85; text-align: center; font-size: 7pt;">
                    <?php echo $d['Programar'] != "" ? $d['Programar'] : '-'; ?></td> 
                    <td style="width: 5%; background: #f9b2b2 ; text-align: center;font-size: 7pt;"><?php echo $d['Correctivo'] != "" ? $d['Correctivo'] : '-'; ?></td>
                    <td style="width: 5%; text-align: center; font-size: 7pt;"><p id="nPreCantidad">
                    <?php echo $d['nPreCantidad'] != "" ? $d['nPreCantidad'] : '-'; ?></p></td> 
                    <td style="width: 10%; text-align: center; font-size: 7pt;"><p id="nPreNroParte">
                    <?php echo $d['nPreNroParte'] != "" ? $d['nPreNroParte'] : '-'; ?></p></td>
                    <td style="width: 8%; text-align: center; font-size: 7pt;"><p id="sPreFecha">
                    <?php echo $d['sPreFecha'] != "" ? $d['sPreFecha'] : '-'; ?></p></td>
                    <td style="width: 27%; text-align: center; font-size: 7pt;"><p id="sPreObservaciones">
                    <?php echo utf8_decode($d['sPreObservaciones'] != "" ? $d['sPreObservaciones'] : '-'); ?></p></td>
                </tr>     
            </tbody>                    
            </table>            
        <?php             
            }            
        } //fin de recorrer preguntas o detalle
        ?>
        <br>
        <?php
        } //fin de condición sistemas tipo 1
        } //fin recorrer sistemas
        ?>

        <table class="table" cellpadding="0" cellspacing="0">
            <tbody>
                <tr>
                    <th style="width: 100%">EVALUACIÓN ELECTRICA</th>         
                </tr>
            </tbody>
            
        </table>
        <br>

        <!-- Listar Sistemas -->
        <?php             
        foreach ($sistemas as $s){
        // para sistemas tipo 2 
        // -----------------------------------------------------------
        //          MEGADO DEL ALTERNADOR
        // -----------------------------------------------------------

        if ($s['nSisTipo'] ==  2) { 
        ?>
        <table class="table" cellpadding="0" cellspacing="0">
            <tbody>
                <tr>
                    <th style="width: 100%;"><p id="sSisNombre">
                        <?php echo $s['sSisNombre'] != "" ? $s['sSisNombre'] : '-'; ?></p></th>                    
                </tr>
            </tbody>
        </table>
        <?php   
        } //fin de condición sistemas tipo 2
        } //fin recorrer sistemas
                  
        foreach ($detalle2 as $d2){            
        ?>

        <table class="table" cellpadding="0" cellspacing="0">
            <tbody>
                <tr>
                    <th style="width: 32%" class="active">Megómetro [voltaje de prueba] </th> 
                    <th style="width: 8%; text-align: center;" class="active">500 VDC</th> 
                    <td style="width: 8%; text-align: center;" ><?php echo $d2['quinientos'] != "" ? $d2['quinientos'] : '-'; ?></td>
                    <th style="width: 8%; text-align: center;" class="active">1000 VDC</th> 
                    <td style="width: 8%; text-align: center;" ><?php echo $d2['mil'] != "" ? $d2['mil'] : '-'; ?></td>
                    <th style="width: 12%; text-align: center; font-size: 7pt;"class="active">Serie de Meger:</th> 
                    <td style="width: 24%; text-align: center;" ><?php echo $d2['sMegSerie'] != "" ? $d2['sMegSerie'] : '-'; ?></td>                        
                </tr>                
            </tbody>
        </table>

       
         <table class="table" cellpadding="0" cellspacing="0">
            <tbody>
                <tr>
                    <th style="width: 8%; font-size: 7pt;" class="active">Bobina / Vs </th> 
                    <th style="width: 8%; text-align: center;" class="active">T1</th> 
                    <th style="width: 8%; text-align: center;" class="active">T2</th> 
                    <th style="width: 8%; text-align: center;" class="active">T3</th> 
                    <th style="width: 8%; text-align: center;" class="active">T7</th> 
                    <th style="width: 8%; text-align: center;" class="active">T8</th> 
                    <th style="width: 8%; text-align: center;" class="active">T9</th> 
                    <th style="width: 8%; text-align: center;" class="active">Tierra</th> 
                    <th style="width: 8%; text-align: center; font-size: 7pt; " class="active">V. Servicio</th> 
                    <th style="width: 28%; text-align: center;" class="active">Observaciones</th>                     
                </tr>
                <tr>
                    <!--"M Ohm"-->
                    <th style="width: 8%; text-align: center;">T1</th> 
                    <td style="width: 8%; text-align: center;" class="active"></td> 
                    <td style="width: 8%; text-align: center; font-size: 7pt;"><?php echo $d2['nMegT1T2'] != "" ? $d2['nMegT1T2']." M Ohm" : '-'; ?></td>
                    <td style="width: 8%; text-align: center; font-size: 7pt;"><?php echo $d2['nMegT1T3'] != "" ? $d2['nMegT1T3']." M Ohm" : '-'; ?></td>
                    <td style="width: 8%; text-align: center; font-size: 7pt;"><?php echo $d2['nMegT1T7'] != "" ? $d2['nMegT1T7']." M Ohm" : '-'; ?></td>
                    <td style="width: 8%; text-align: center; font-size: 7pt;"><?php echo $d2['nMegT1T8'] != "" ? $d2['nMegT1T8']." M Ohm" : '-'; ?></td>
                    <td style="width: 8%; text-align: center; font-size: 7pt;"><?php echo $d2['nMegT1T9'] != "" ? $d2['nMegT1T9']." M Ohm" : '-'; ?></td>
                    <td style="width: 8%; text-align: center; font-size: 7pt;"><?php echo $d2['nMegT1Trr'] != "" ? $d2['nMegT1Trr']." M Ohm" : '-'; ?></td>
                    <td style="width: 8%; text-align: center; font-size: 7pt;"><?php echo $d2['nMegT1Val'] != "" ? $d2['nMegT1Val']." M Ohm" : '-'; ?></td>
                    <td style="width: 28%; text-align: center; font-size: 7pt;" ><?php echo utf8_decode($d2['sMegT1Obs'] != "" ? $d2['sMegT1Obs'] : '-'); ?></td>             
                </tr>
                <tr>
                    <th style="width: 8%; text-align: center;">T2</th> 
                    <td style="width: 8%; text-align: center; font-size: 7pt;"><?php echo $d2['nMegT2T1'] != "" ? $d2['nMegT2T1']." M Ohm" : '-'; ?></td>
                    <td style="width: 8%; text-align: center;" class="active"></td> 
                    <td style="width: 8%; text-align: center; font-size: 7pt;"><?php echo $d2['nMegT2T3'] != "" ? $d2['nMegT2T3']." M Ohm": '-'; ?></td>
                    <td style="width: 8%; text-align: center; font-size: 7pt;"><?php echo $d2['nMegT2T7'] != "" ? $d2['nMegT2T7']." M Ohm" : '-'; ?></td>
                    <td style="width: 8%; text-align: center; font-size: 7pt;"><?php echo $d2['nMegT2T8'] != "" ? $d2['nMegT2T8']." M Ohm" : '-'; ?></td>
                    <td style="width: 8%; text-align: center; font-size: 7pt;"><?php echo $d2['nMegT2T9'] != "" ? $d2['nMegT2T9']." M Ohm" : '-'; ?></td>
                    <td style="width: 8%; text-align: center; font-size: 7pt;"><?php echo $d2['nMegT2Trr'] != "" ? $d2['nMegT2Trr']." M Ohm" : '-'; ?></td>
                    <td style="width: 8%; text-align: center; font-size: 7pt;"><?php echo $d2['nMegT2Val'] != "" ? $d2['nMegT2Val']." M Ohm" : '-'; ?></td>
                    <td style="width: 28%; text-align: center; font-size: 7pt;" ><?php echo utf8_decode($d2['sMegT2Obs'] != "" ? $d2['sMegT2Obs'] : '-'); ?></td>             
                </tr>
               <tr>
                    <th style="width: 8%; text-align: center;">T3</th> 
                    <td style="width: 8%; text-align: center; font-size: 7pt;"><?php echo $d2['nMegT3T1'] != "" ? $d2['nMegT3T1']." M Ohm" : '-'; ?></td>
                    <td style="width: 8%; text-align: center; font-size: 7pt;"><?php echo $d2['nMegT3T2'] != "" ? $d2['nMegT3T2']." M Ohm" : '-'; ?></td>
                    <td style="width: 8%; text-align: center;" class="active"></td> 
                    <td style="width: 8%; text-align: center; font-size: 7pt;"><?php echo $d2['nMegT3T7'] != "" ? $d2['nMegT3T7']." M Ohm" : '-'; ?></td>
                    <td style="width: 8%; text-align: center; font-size: 7pt;"><?php echo $d2['nMegT3T8'] != "" ? $d2['nMegT3T8']." M Ohm" : '-'; ?></td>
                    <td style="width: 8%; text-align: center; font-size: 7pt;"><?php echo $d2['nMegT3T9'] != "" ? $d2['nMegT3T9']." M Ohm" : '-'; ?></td>
                    <td style="width: 8%; text-align: center; font-size: 7pt;"><?php echo $d2['nMegT3Trr'] != "" ? $d2['nMegT3Trr']." M Ohm" : '-'; ?></td>
                    <td style="width: 8%; text-align: center; font-size: 7pt;"><?php echo $d2['nMegT3Val'] != "" ? $d2['nMegT3Val']." M Ohm" : '-'; ?></td>
                    <td style="width: 28%; text-align: center; font-size: 7pt;" ><?php echo utf8_decode($d2['sMegT3Obs'] != "" ? $d2['sMegT3Obs'] : '-'); ?></td>             
                </tr>
                 <tr>
                    <th style="width: 8%; text-align: center;">T7</th> 
                    <td style="width: 8%; text-align: center; font-size: 7pt;"><?php echo $d2['nMegT7T1'] != "" ? $d2['nMegT7T1']." M Ohm" : '-'; ?></td>
                    <td style="width: 8%; text-align: center; font-size: 7pt;"><?php echo $d2['nMegT7T2'] != "" ? $d2['nMegT7T2']." M Ohm" : '-'; ?></td>
                    <td style="width: 8%; text-align: center; font-size: 7pt;"><?php echo $d2['nMegT7T3'] != "" ? $d2['nMegT7T3']." M Ohm" : '-'; ?></td>
                    <td style="width: 8%; text-align: center;" class="active"></td> 
                    <td style="width: 8%; text-align: center; font-size: 7pt;"><?php echo $d2['nMegT7T8'] != "" ? $d2['nMegT7T8']." M Ohm" : '-'; ?></td>
                    <td style="width: 8%; text-align: center; font-size: 7pt;"><?php echo $d2['nMegT7T9'] != "" ? $d2['nMegT7T9']." M Ohm" : '-'; ?></td>
                    <td style="width: 8%; text-align: center; font-size: 7pt;"><?php echo $d2['nMegT7Trr'] != "" ? $d2['nMegT7Trr']." M Ohm" : '-'; ?></td>
                    <td style="width: 8%; text-align: center; font-size: 7pt;"><?php echo $d2['nMegT7Val'] != "" ? $d2['nMegT7Val']." M Ohm" : '-'; ?></td>
                    <td style="width: 28%; text-align: center; font-size: 7pt;" ><?php echo utf8_decode($d2['sMegT7Obs'] != "" ? $d2['sMegT7Obs'] : '-'); ?></td>             
                </tr>
                 <tr>
                    <th style="width: 8%; text-align: center;">T8</th> 
                    <td style="width: 8%; text-align: center; font-size: 7pt;"><?php echo $d2['nMegT8T1'] != "" ? $d2['nMegT8T1']." M Ohm" : '-'; ?></td>
                    <td style="width: 8%; text-align: center; font-size: 7pt;"><?php echo $d2['nMegT8T2'] != "" ? $d2['nMegT8T2']." M Ohm" : '-'; ?></td>
                    <td style="width: 8%; text-align: center; font-size: 7pt;"><?php echo $d2['nMegT8T3'] != "" ? $d2['nMegT8T3']." M Ohm" : '-'; ?></td>
                    <td style="width: 8%; text-align: center; font-size: 7pt;"><?php echo $d2['nMegT8T7'] != "" ? $d2['nMegT8T7']." M Ohm" : '-'; ?></td>
                    <td style="width: 8%; text-align: center; font-size: 7pt;" class="active"></td> 
                    <td style="width: 8%; text-align: center; font-size: 7pt;"><?php echo $d2['nMegT8T9'] != "" ? $d2['nMegT8T9']." M Ohm" : '-'; ?></td>
                    <td style="width: 8%; text-align: center; font-size: 7pt;"><?php echo $d2['nMegT8Trr'] != "" ? $d2['nMegT8Trr']." M Ohm" : '-'; ?></td>
                    <td style="width: 8%; text-align: center; font-size: 7pt;"><?php echo $d2['nMegT8Val'] != "" ? $d2['nMegT8Val']." M Ohm" : '-'; ?></td>
                    <td style="width: 28%; text-align: center; font-size: 7pt;" ><?php echo utf8_decode($d2['sMegT8Obs'] != "" ? $d2['sMegT8Obs'] : '-'); ?></td>             
                </tr>
                <tr>
                    <th style="width: 8%; text-align: center;">T9</th> 
                    <td style="width: 8%; text-align: center; font-size: 7pt;"><?php echo $d2['nMegT9T1'] != "" ? $d2['nMegT9T1']." M Ohm" : '-'; ?></td>
                    <td style="width: 8%; text-align: center; font-size: 7pt;"><?php echo $d2['nMegT9T2'] != "" ? $d2['nMegT9T2']." M Ohm" : '-'; ?></td>
                    <td style="width: 8%; text-align: center; font-size: 7pt;"><?php echo $d2['nMegT9T3'] != "" ? $d2['nMegT9T3']." M Ohm" : '-'; ?></td>
                    <td style="width: 8%; text-align: center; font-size: 7pt;"><?php echo $d2['nMegT9T7'] != "" ? $d2['nMegT9T7']." M Ohm" : '-'; ?></td>
                    <td style="width: 8%; text-align: center; font-size: 7pt;"><?php echo $d2['nMegT9T8'] != "" ? $d2['nMegT9T8']." M Ohm" : '-'; ?></td>
                    <td style="width: 8%; text-align: center; font-size: 7pt;" class="active"></td> 
                    <td style="width: 8%; text-align: center; font-size: 7pt;"><?php echo $d2['nMegT9Trr'] != "" ? $d2['nMegT9Trr']." M Ohm": '-'; ?></td>
                    <td style="width: 8%; text-align: center; font-size: 7pt;"><?php echo $d2['nMegT9Val'] != "" ? $d2['nMegT9Val']." M Ohm" : '-'; ?></td>
                    <td style="width: 28%; text-align: center; font-size: 7pt;" ><?php echo utf8_decode($d2['sMegT9Obs'] != "" ? $d2['sMegT9Obs'] : '-'); ?></td>             
                </tr>                           
            </tbody>
        </table>
        <table class="table" cellpadding="0" cellspacing="0">
            <tbody>
                <tr>
                    <th style="width: 16%; text-align: center;">Estator de excitatriz</th> 
                    <td style="width: 40%; text-align: center;" class="active"></td> 
                    <td style="width: 8%; text-align: center; font-size: 7pt;"><?php echo $d2['nMegEstExcTrr'] != "" ? $d2['nMegEstExcTrr']." M Ohm" : '-'; ?></td>
                    <td style="width: 8%; text-align: center; font-size: 7pt;"><?php echo $d2['nMegEstExcVal'] != "" ? $d2['nMegEstExcVal']." M Ohm" : '-'; ?></td>
                    <td style="width: 28%; text-align: center; font-size: 7pt;" ><?php echo utf8_decode($d2['sMegEstExcObs'] != "" ? $d2['sMegEstExcObs'] : '-'); ?></td>             
                </tr>
                <tr>
                    <th style="width: 16%; text-align: center;">Rotor de principal</th> 
                    <td style="width: 40%; text-align: center;" class="active"></td> 
                    <td style="width: 8%; text-align: center; font-size: 7pt;"><?php echo $d2['nMegRotPplTrr'] != "" ? $d2['nMegRotPplTrr']." M Ohm" : '-'; ?></td>
                    <td style="width: 8%; text-align: center; font-size: 7pt;"><?php echo $d2['nMegRotPplVal'] != "" ? $d2['nMegRotPplVal']." M Ohm" : '-'; ?></td>
                    <td style="width: 28%; text-align: center; font-size: 7pt;" ><?php echo utf8_decode($d2['sMegRotPplObs'] != "" ? $d2['sMegRotPplObs'] : '-'); ?></td>             
                </tr>
                <tr>
                    <th style="width: 16%; text-align: center;">Rotor de excitatriz</th> 
                    <td style="width: 40%; text-align: center;" class="active"></td> 
                    <td style="width: 8%; text-align: center; font-size: 7pt;"><?php echo $d2['nMegRotExcTrr'] != "" ? $d2['nMegRotExcTrr']." M Ohm" : '-'; ?></td>
                    <td style="width: 8%; text-align: center; font-size: 7pt;"><?php echo $d2['nMegRotExcVal'] != "" ? $d2['nMegRotExcVal']." M Ohm" : '-'; ?></td>
                    <td style="width: 28%; text-align: center; font-size: 7pt;" ><?php echo utf8_decode($d2['sMegRotExcObs'] != "" ? $d2['sMegRotExcObs'] : '-'); ?></td>             
                </tr>
                <tr>
                    <th style="width: 16%; text-align: center;">PMG</th> 
                    <td style="width: 40%; text-align: center;" class="active"></td> 
                    <td style="width: 8%; text-align: center; font-size: 7pt;"><?php echo $d2['nMegPgmTrr'] != "" ? $d2['nMegPgmTrr']." M Ohm" : '-'; ?></td>
                    <td style="width: 8%; text-align: center; font-size: 7pt;"><?php echo $d2['nMegPgmVal'] != "" ? $d2['nMegPgmVal']." M Ohm" : '-'; ?></td>
                    <td style="width: 28%; text-align: center; font-size: 7pt;" ><?php echo utf8_decode($d2['sMegPgmObs'] != "" ? $d2['sMegPgmObs'] : '-'); ?></td>             
                </tr>
            </tbody>
        </table>   
        <table class="table" cellpadding="0" cellspacing="0">
            <tbody>
                <tr>
                    <th style="width: 16%; text-align: center;">Recomendaciones</th> 
                    <td style="width: 84%; text-align: left; font-size: 7pt;"><?php echo utf8_decode($d2['sMegObservacion'] != "" ? $d2['sMegObservacion'] : '-'); ?></td>                                 
                </tr>
            </tbody>
        </table>
        
         <?php             
            }
        ?>

        <br>
        <table class="table" cellpadding="0" cellspacing="0">
            <tbody>
                <tr>
                    <th style="width: 100%">Evaluación Placa Rectificadora</th>         
                </tr>
            </tbody>
            
        </table>

         <!-- Listar Sistemas -->
        <?php
        foreach ($detalle2diodos as $d2d){
        // Prueba de Dioso
        ?>
        <table class="table" cellpadding="0" cellspacing="0">
            <tbody>
                <tr>
                    <th style="width: 20%; text-align: center;">Diodos</th> 
                    <th style="width: 20%; text-align: center;">1</th> 
                    <th style="width: 20%; text-align: center;">2</th> 
                    <th style="width: 20%; text-align: center;">3</th> 
                    <th style="width: 20%; text-align: center;">Valor</th> 
                    
                        
                </tr>
                <tr>
                    <th style="width: 20%; text-align: center; font-size: 7pt;">Directo</th> 
                    <td style="width: 20%; text-align: center; font-size: 7pt;">
                        <?php echo $d2d['sDirecto01'] != "OK" ? 'Inoperativo' : 'Operativo'; ?></td>
                    <td style="width: 20%; text-align: center; font-size: 7pt;">
                        <?php echo $d2d['sDirecto02'] != "OK" ? 'Inoperativo' : 'Operativo'; ?></td>
                    <td style="width: 20%; text-align: center; font-size: 7pt;">
                        <?php echo $d2d['sDirecto03'] != "OK" ? 'Inoperativo' : 'Operativo'; ?></td>
                    <th style="width: 20%; text-align: center; font-size: 7pt;">0.469</th>                     
                </tr>
                 <tr>
                    <th style="width: 20%; text-align: center; font-size: 7pt;">Inverso</th> 
                    <td style="width: 20%; text-align: center; font-size: 7pt;">
                        <?php echo $d2d['sInverso01'] != "OK" ? 'Inoperativo' : 'Operativo'; ?></td>
                    <td style="width: 20%; text-align: center; font-size: 7pt;">
                        <?php echo $d2d['sInverso02'] != "OK" ? 'Inoperativo' : 'Operativo'; ?></td>
                    <td style="width: 20%; text-align: center; font-size: 7pt;">
                        <?php echo $d2d['sInverso03'] != "OK" ? 'Inoperativo' : 'Operativo'; ?></td>
                    <th style="width: 20%; text-align: center; font-size: 7pt;">0.469</th> 
                    
                </tr>
                
            </tbody>
        </table>
        <table class="table" cellpadding="0" cellspacing="0">
            <tbody>
                <tr>    
                    <th style="width: 20%; text-align: center; font-size: 7pt;">Varistor</th> 
                    <td style="width: 60%; text-align: center; font-size: 7pt;">
                        <?php echo $d2d['sVaristor'] != "OK" ? 'Inoperativo' : 'Operativo'; ?></td>
                    <th style="width: 20%; text-align: center; font-size: 7pt;">Infinito</th> 
                    
                </tr>
             </tbody>
        </table>

         <?php   
        } //fin de recorrer diodos
        ?>

        <br>

        <!-- Listar Sistemas -->
        <?php             

        foreach ($sistemas as $s){
        // para sistemas tipo 2 
        // -----------------------------------------------------------
        //          PRUEBA DE CARGA
        // -----------------------------------------------------------
        if ($s['nSisTipo'] ==  3) { 
        ?>
        <table class="table" cellpadding="0" cellspacing="0">
            <tbody>
                <tr>
                    <th style="width: 100%;"><p id="sSisNombre">
                        <?php echo $s['sSisNombre'] != "" ? $s['sSisNombre'] : '-'; ?></p></th>                    
                </tr>
            </tbody>
        </table>

         <?php   
        } //fin de condición sistemas tipo 2
        } //fin recorrer sistemas
                  
        foreach ($detalle3 as $d3){            
        ?>
        <table class="table" cellpadding="0" cellspacing="0" style="font-size: 9pt;">
            <tbody>
                <tr>
                    <th style="width: 4%; text-align: center; font-size: 7pt;" class="active"></th> 
                    <th style="width: 30% font-size: 7pt;">Registro de  datos</th> 
                    <th style="width: 11%; text-align: center;">Inicio</th> 
                    <td style="width: 11%; text-align: center;" ><?php echo $d3['sPruHoraIni'] != "" ? $d3['sPruHoraIni'] : '-'; ?></td> 
                    <th style="width: 11%; text-align: center;">Termino</th> 
                    <td style="width: 11%; text-align: center;" ><?php echo $d3['sPruHoraTer'] != "" ? $d3['sPruHoraTer'] : '-'; ?></td>
                    <th style="width: 11%; text-align: center; font-size: 7pt;">Fases RST</th> 
                    <td style="width: 11%; text-align: center;"><?php echo $d3['sPruFasesRST'] != "" ? $d3['sPruFasesRST'] : '-'; ?></td>
                    <!--
                    <th style="width: 7.5%; text-align: center;"></th>
                    <th style="width: 7.5%; text-align: center;"></th>
                    <th style="width: 10%; text-align: center;"></th>
                    -->
                </tr>
                <br>
                <tr>
                    <th style="width: 4%; text-align: center;" class="active"></th> 
                    <th style="width: 30%" class="active">Fases de Carga</th> 
                    <th style="width: 11%; text-align: center;" class="active">0%</th> 
                    <th style="width: 11%; text-align: center;" class="active">25%</th> 
                    <th style="width: 11%; text-align: center;" class="active">50%</th> 
                    <th style="width: 11%; text-align: center;" class="active">75%</th>
                    <th style="width: 11%; text-align: center;"class="active">100%</th> 
                    <th style="width: 11%; text-align: center;"class="active">110%</th>
                    <!--
                    <th style="width: 7.5%; text-align: center;"class="active">Tiempo</th>
                    <th style="width: 7.5%; text-align: center; font-size: 7pt;"class="active">V. Servicio</th>
                    <th style="width: 10%; text-align: center;"class="active">Observación</th>
                    -->
                </tr>
                <tr>
                    <th style="width: 4%; text-align: center;" class="active"></th> 
                    <th style="width: 30%" class="active">Set point - Kw</th> 
                    <td style="width: 11%; text-align: center; font-size: 7pt;"><?php echo $d3['sPruSet00'] != "" ? $d3['sPruSet00'] : '-'; ?> Kw</td> 
                    <td style="width: 11%; text-align: center; font-size: 7pt;"><?php echo $d3['sPruSet25'] != "" ? $d3['sPruSet25'] : '-'; ?> Kw</td> 
                    <td style="width: 11%; text-align: center; font-size: 7pt;"><?php echo $d3['sPruSet50'] != "" ? $d3['sPruSet50'] : '-'; ?> Kw</td> 
                    <td style="width: 11%; text-align: center; font-size: 7pt;"><?php echo $d3['sPruSet75'] != "" ? $d3['sPruSet75'] : '-'; ?> kw</td>
                    <td style="width: 11%; text-align: center; font-size: 7pt;"><?php echo $d3['sPruSet100'] != "" ? $d3['sPruSet100'] : '-'; ?> Kw</td> 
                    <td style="width: 11%; text-align: center; font-size: 7pt;"><?php echo $d3['sPruSet110'] != "" ? $d3['sPruSet110'] : '-'; ?> Kw
                    </td>
                    <!--
                    <td style="width: 7.5%; text-align: center; font-size: 7pt;"><?php echo $d3['nPruTiempo'] != "" ? $d3['nPruTiempo'] : '-'; ?></td>
                    <td style="width: 7.5%; text-align: center; font-size: 7pt;"><?php echo $d3['sPruValor'] != "" ? $d3['sPruValor'] : '-'; ?></td>
                    <td style="width: 10%; text-align: center; font-size: 7pt;"><?php echo utf8_decode($d3['sPruObservaciones'] != "" ? $d3['sPruObservaciones'] : '-'); ?></td>
                    -->
                </tr>
              </tbody>
        </table>  

            <?php   
        } //fin de recorrer primer detalle
        ?>
        <table class="table" cellpadding="0" cellspacing="0" style="font-size: 9pt;">
            <tbody>        
                <tr>
                    <td style="width: 4%; text-align: center; font-size: 7pt;">1</td> 
                    <td style="width: 30%;  font-size: 7pt;">Voltaje de generación línea</td>
                    <?php
                    foreach ($detalle3detalle as $d3d){  //recorre los datos para a primera pregunta
                    ?>
                    <td style="width: 11%; text-align: center; font-size: 7pt;"><?php echo $d3d['sPruDet01'] != "null" ? $d3d['sPruDet01'] : '-'; ?></td> 
                    <?php   
                    }
                    ?>
                    
                </tr>
                <tr>
                    <td style="width: 4%; text-align: center; font-size: 7pt;">2</td> 
                    <td style="width: 30%; font-size: 7pt;">Amperios</td> 
                    <?php
                    foreach ($detalle3detalle as $d3d){  //recorre los datos para a segunda pregunta
                    ?>
                    <td style="width: 11%; text-align: center; font-size: 7pt;"><?php echo $d3d['sPruDet02'] != "null" ? $d3d['sPruDet02'] : '-'; ?></td> 
                    <?php   
                    }
                    ?>
                </tr>
                <tr>
                    <td style="width: 4%; text-align: center; font-size: 7pt;">3</td> 
                    <td style="width: 30%; font-size: 7pt;">Factor de potencia Cos</td> 
                    <?php
                    foreach ($detalle3detalle as $d3d){  //recorre los datos para a segunda pregunta
                    ?>
                    <td style="width: 11%; text-align: center; font-size: 7pt;"><?php echo $d3d['sPruDet03'] != "null" ? $d3d['sPruDet03'] : '-'; ?></td> 
                    <?php   
                    } 
                    ?>                    
                </tr>
                <tr>
                    <td style="width: 4%; text-align: center; font-size: 7pt;">4</td> 
                    <td style="width: 30%; font-size: 7pt;">Potencia Activa KW</td> 
                    <?php
                    foreach ($detalle3detalle as $d3d){  //recorre los datos para a segunda pregunta
                    ?>
                    <td style="width: 11%; text-align: center; font-size: 7pt;"><?php echo $d3d['sPruDet04'] != "null" ? $d3d['sPruDet04'] : '-'; ?></td> 
                    <?php   
                    }
                    ?>                    
                </tr>
                <tr>
                    <td style="width: 4%; text-align: center; font-size: 7pt;">5</td> 
                    <td style="width: 30%; font-size: 7pt;">Frecuencia Hz</td> 
                    <?php
                    foreach ($detalle3detalle as $d3d){  //recorre los datos para a segunda pregunta
                    ?>
                    <td style="width: 11%; text-align: center; font-size: 7pt;"><?php echo $d3d['sPruDet05'] != "null" ? $d3d['sPruDet05'] : '-'; ?></td> 
                    <?php   
                    } 
                    ?>                    
                </tr>
                <tr>
                    <td style="width: 4%; text-align: center; font-size: 7pt;">6</td> 
                    <td style="width: 30%; font-size: 7pt;">Revoluciones de motor RPM</td> 
                    <?php
                    foreach ($detalle3detalle as $d3d){  //recorre los datos para a segunda pregunta
                    ?>
                    <td style="width: 11%; text-align: center; font-size: 7pt;"><?php echo $d3d['sPruDet06'] != "null" ? $d3d['sPruDet06'] : '-'; ?></td> 
                    <?php   
                    } 
                    ?>                    
                </tr>
                <tr>
                    <td style="width: 4%; text-align: center; font-size: 7pt;">7</td> 
                    <td style="width: 30%; font-size: 7pt;">Presión de lubricación (Bar)</td> 
                    <?php
                    foreach ($detalle3detalle as $d3d){  //recorre los datos para a segunda pregunta
                    ?>
                    <td style="width: 11%; text-align: center; font-size: 7pt;"><?php echo $d3d['sPruDet07'] != "null" ? $d3d['sPruDet07'] : '-'; ?></td> 
                    <?php   
                    } 
                    ?>                    
                </tr>
                <tr>
                    <td style="width: 4%; text-align: center; font-size: 7pt;">8</td> 
                    <td style="width: 30%; font-size: 7pt;">Temperatura de refrigerante (Cº)</td> 
                    <?php
                    foreach ($detalle3detalle as $d3d){  //recorre los datos para a segunda pregunta
                    ?>
                    <td style="width: 11%; text-align: center; font-size: 7pt;"><?php echo $d3d['sPruDet08'] != "null" ? $d3d['sPruDet08'] : '-'; ?></td> 
                    <?php   
                    } 
                    ?>                    
                </tr>
                <tr>
                    <td style="width: 4%; text-align: center; font-size: 7pt;">9</td> 
                    <td style="width: 30%; font-size: 7pt;">Temperatura parte superior de radiador</td> 
                    <?php
                    foreach ($detalle3detalle as $d3d){  //recorre los datos para a segunda pregunta
                    ?>
                    <td style="width: 11%; text-align: center; font-size: 7pt;"><?php echo $d3d['sPruDet09'] != "null" ? $d3d['sPruDet09'] : '-'; ?></td> 
                    <?php   
                    } 
                    ?>                    
                </tr>
                <tr>
                    <td style="width: 4%; text-align: center; font-size: 7pt;">10</td> 
                    <td style="width: 30%; font-size: 7pt;">Temperatura parte baja de radiador</td> 
                    <?php
                    foreach ($detalle3detalle as $d3d){  //recorre los datos para a segunda pregunta
                    ?>
                    <td style="width: 11%; text-align: center; font-size: 7pt;"><?php echo $d3d['sPruDet10'] != "null" ? $d3d['sPruDet10'] : '-'; ?></td> 
                    <?php   
                    } 
                    ?>                    
                </tr>
                <tr>
                    <td style="width: 4%; text-align: center; font-size: 7pt;">11</td> 
                    <td style="width: 30%; font-size: 7pt;">Presión Turbo (Bar)*  ECM</td> 
                    <?php
                    foreach ($detalle3detalle as $d3d){  //recorre los datos para a segunda pregunta
                    ?>
                    <td style="width: 11%; text-align: center; font-size: 7pt;"><?php echo $d3d['sPruDet11'] != "null" ? $d3d['sPruDet11'] : '-'; ?></td> 
                    <?php   
                    } 
                    ?>                    
                </tr>
                <tr>
                    <td style="width: 4%; text-align: center; font-size: 7pt;">12</td> 
                    <td style="width: 30%; font-size: 7pt;">Presión atm (Bar)* ECM</td> 
                    <?php
                    foreach ($detalle3detalle as $d3d){  //recorre los datos para a segunda pregunta
                    ?>
                    <td style="width: 11%; text-align: center; font-size: 7pt;"><?php echo $d3d['sPruDet12'] != "null" ? $d3d['sPruDet12'] : '-'; ?></td> 
                    <?php   
                    } 
                    ?>                    
                </tr>
                <tr>
                    <td style="width: 4%; text-align: center; font-size: 7pt;">13</td> 
                    <td style="width: 30%; font-size: 7pt;">Temperatura de combustible (Cº) ECM</td> 
                    <?php
                    foreach ($detalle3detalle as $d3d){  //recorre los datos para a segunda pregunta
                    ?>
                    <td style="width: 11%; text-align: center; font-size: 7pt;"><?php echo $d3d['sPruDet13'] != "null" ? $d3d['sPruDet13'] : '-'; ?></td> 
                    <?php   
                    } 
                    ?>                    
                </tr>
                <tr>
                    <td style="width: 4%; text-align: center; font-size: 7pt;">14</td> 
                    <td style="width: 30%; font-size: 7pt;">Temperatura admisión de motor (Cº) ECM</td> 
                    <?php
                    foreach ($detalle3detalle as $d3d){  //recorre los datos para a segunda pregunta
                    ?>
                    <td style="width: 11%; text-align: center; font-size: 7pt;"><?php echo $d3d['sPruDet14'] != "null" ? $d3d['sPruDet14'] : '-'; ?></td> 
                    <?php   
                    } 
                    ?>                    
                </tr>
                <tr>
                    <td style="width: 4%; text-align: center; font-size: 7pt;">15</td> 
                    <td style="width: 30%; font-size: 7pt;">Temperatura de aceite de motor (Cº) ECM</td> 
                    <?php
                    foreach ($detalle3detalle as $d3d){  //recorre los datos para a segunda pregunta
                    ?>
                    <td style="width: 11%; text-align: center; font-size: 7pt;"><?php echo $d3d['sPruDet15'] != "null" ? $d3d['sPruDet15'] : '-'; ?></td> 
                    <?php   
                    } //fin de for
                    ?>                    
                </tr>
                <tr>
                    <td style="width: 4%; text-align: center; font-size: 7pt;">16</td> 
                    <td style="width: 30%; font-size: 7pt;">Comunicación CAM ECM</td> 
                    <?php
                    foreach ($detalle3detalle as $d3d){  //recorre los datos para a segunda pregunta
                    ?>
                    <td style="width: 11%; text-align: center; font-size: 7pt;"><?php echo $d3d['sPruDet16'] != "null" ? $d3d['sPruDet16'] : '-'; ?></td> 
                    <?php   
                    }
                    ?>                    
                </tr>
                <tr>
                    <td style="width: 4%; text-align: center; font-size: 7pt;">17</td> 
                    <td style="width: 30%; font-size: 7pt;">Presión de Carter</td> 
                    <?php
                    foreach ($detalle3detalle as $d3d){  //recorre los datos para a segunda pregunta
                    ?>
                    <td style="width: 11%; text-align: center; font-size: 7pt;"><?php echo $d3d['sPruDet17'] != "null" ? $d3d['sPruDet17'] : '-'; ?></td> 
                    <?php   
                    } 
                    ?>                    
                </tr>
                <tr>
                    <td style="width: 4%; text-align: center; font-size: 7pt;">18</td> 
                    <td style="width: 30%; font-size: 7pt;">Prueba de protecciones por Temperatura</td> 
                    <?php
                    foreach ($detalle3detalle as $d3d){  //recorre los datos para a segunda pregunta
                    ?>
                    <td style="width: 11%; text-align: center; font-size: 7pt;"><?php echo $d3d['sPruDet18'] != "null" ? $d3d['sPruDet18'] : '-'; ?></td> 
                    <?php   
                    }
                    ?>                    
                </tr>
                <tr>
                    <td style="width: 4%; text-align: center; font-size: 7pt;">19</td> 
                    <td style="width: 30%; font-size: 7pt;">Prueba de protec. por baja presión de aceite</td> 
                    <?php
                    foreach ($detalle3detalle as $d3d){  //recorre los datos para a segunda pregunta
                    ?>
                    <td style="width: 11%; text-align: center; font-size: 7pt;"><?php echo $d3d['sPruDet19'] != "null" ? $d3d['sPruDet19'] : '-'; ?></td> 
                    <?php   
                    } 
                    ?>                   
                </tr>
                <tr>
                    <td style="width: 4%; text-align: center; font-size: 7pt;">20</td> 
                    <td style="width: 30%; font-size: 7pt;">Prueba de protec. por bajo nivel de refrig.</td> 
                    <?php
                    foreach ($detalle3detalle as $d3d){  //recorre los datos para a segunda pregunta
                    ?>
                    <td style="width: 11%; text-align: center; font-size: 7pt;"><?php echo $d3d['sPruDet20'] != "null" ? $d3d['sPruDet20'] : '-'; ?></td> 
                    <?php   
                    } 
                    ?>                    
                </tr>
                <tr>
                    <th style="font-size: 7pt;" colspan="2">Observaciones</th> 
                    <?php
                    foreach ($detalle3detalle as $d3d){  //recorre los datos para a segunda pregunta
                    ?>
                    <td style="width: 11%; text-align: center; font-size: 7pt;"><?php echo utf8_decode($d3d['sPruDetObs'] != "null" ? $d3d['sPruDetObs'] : '-'); ?></td> 
                    <?php   
                    } 
                    ?>
                </tr>
                    
            </tbody>
        </table>  

        <!-- Listar Preguntas prueba de carga-->
         <?php             
            }
        ?>
        <br>
        <table class="table" cellpadding="0" cellspacing="0">
            <tbody>
                <tr>
                    <th style="text-align: center;" colspan="3">CONFORMIDAD CLIENTE</th>                    
                </tr>
                <tr>
                    <?php 
                        $archivo = RUTA_IMG . "/".$r['Inspeccion_Id'] ."-firma.jpg";
                        $archivo_final = $archivo;
                        if(!file_exists($archivo)){
                            $archivo_final = RUTA_IMG . "/none.jpg";
                        }
                    ?>
                    <td style="width: 50%; height: : 102px; text-align: center;"  rowspan="3">
                        <img src="<?=$archivo_final?>" width="200" height="100">
                    </td>

                </tr>
                <tr>
                    <th style="width: 25%; text-align: center;">Nombre Representante</th>  
                    <td style="width: 25%; text-align: center;"><?php echo utf8_decode($r['sInsRepresentante'] != "" ? $r['sInsRepresentante'] : '-'); ?></td>
                </tr>
                <tr>
                    <th style="width: 25%; text-align: center;">Cargo Representante</th>  
                    <td style="width: 25%; text-align: center;"><?php echo utf8_decode($r['sInsRepCargo'] != "" ? $r['sInsRepCargo'] : '-'); ?></td>
                </tr>
                <tr>
                    <th style="width: 50%; text-align: center;">Firma</th> 
                    <th style="width: 50%; text-align: center;" colspan="2">Representante</th>  
                </tr>

            </tbody>
        </table>
        <br>


    </bookmark>    
</page>

<!-- Buscar si existe archivos para mandarlos a la siguiene pagina)-->
<?php
$contador=0;
foreach ($preguntas as $p){            
        $archivo = RUTA_IMG . "/".$r['Inspeccion_Id'] ."-".$p['Pregunta_Id'].".jpg";
        $archivo_final = $archivo;
        if(file_exists($archivo)){
            $contador += 1;  
        }
}
if ($contador>0) {
?>

<!-- Buscar si existe archivos para mandarlos a la siguiene pagina)-->



<page backtop="20mm" backbottom="20mm" backleft="10mm" backright="10mm" style="font-size: 11pt;">
<bookmark title="Sommaire" level="0">
    <page_header>
        <table class="page_header" cellpadding="0" cellspacing="0">
            <tr>
                <td style="width: 20%; text-align: left" rowspan="2">
                    <img src="view/librerias/dist/img/logo_modasa.png" width="150">
                </td>
                <td rowspan="2" style="width: 60%; text-align: center; color: #7b7b7b;">
                   Directiva de Inspección e Informe de Servicio Técnico
                </td>
                <td style="width: 10%; text-align: left; color: #7b7b7b;  font-size: 7pt;">
                    Revisado <br> AD / RY / DP                 
                 </td>                
                <td style="width: 10%; text-align: left; color: #7b7b7b; font-size: 7pt;">
                     FC                 
                 </td>
            </tr>
            <tr>
                <td style="text-align: left; color: #7b7b7b; font-size: 7pt;">Aprobado <br> JD</td>
                <td style="text-align: left; color: #7b7b7b; font-size: 7pt">Revisión / Fecha</td>
            </tr>
        </table>
    </page_header>
        <?php   
        foreach ($preguntas as $p){            
        ?>

        <table class="table" cellpadding="0" cellspacing="0">
            <tbody>
                <?php 
                    $archivo = RUTA_IMG . "/".$r['Inspeccion_Id'] ."-".$p['Pregunta_Id'].".jpg";
                    $archivo_final = $archivo;
                    if(file_exists($archivo)){
                    ?>
                    <tr>
                        <th style="width: 100%; text-align: center;">Foto Anexa: <?php echo $p['sSisNombre'] != "" ? $p['sSisNombre']." - ".$p['sPreDescripcion'] : '-'; ?></th>                    
                    </tr>
                    <tr>
                        <td style="width: 100%; text-align: center;"><img src="<?=$archivo_final?>" width="340" height="227"> </td>

                    </tr>
                <?php 
                    }
                ?>
            </tbody>
        </table>

         <?php   
        }        
        ?>

    </bookmark>    
</page>

<?php   
 }            
?>
<!-- Fin de Pagina de Fotos -->


<?php
//die();
    $content = ob_get_clean();

    require_once('view/librerias/html2pdf/html2pdf.class.php');
    try
    {
        $html2pdf = new HTML2PDF('P', 'A4', 'es', true, 'UTF-8', 0);
        $html2pdf->writeHTML($content, isset($_GET['vuehtml']));
//        $html2pdf->createIndex('Sommaire', 25, 12, false, true, 1);
        $html2pdf->Output('protocologe-'.(date('dmYhmi')).'.pdf');
    }
    catch(HTML2PDF_exception $e) {
        echo $e;
        exit;
    }
